#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(bcma_find_core_unit, "_gpl", "");
KSYMTAB_FUNC(bcma_core_irq, "", "");
KSYMTAB_FUNC(__bcma_driver_register, "_gpl", "");
KSYMTAB_FUNC(bcma_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(bcma_core_is_enabled, "_gpl", "");
KSYMTAB_FUNC(bcma_core_disable, "_gpl", "");
KSYMTAB_FUNC(bcma_core_enable, "_gpl", "");
KSYMTAB_FUNC(bcma_core_set_clockmode, "_gpl", "");
KSYMTAB_FUNC(bcma_core_pll_ctl, "_gpl", "");
KSYMTAB_FUNC(bcma_core_dma_translation, "", "");
KSYMTAB_FUNC(bcma_chipco_get_alp_clock, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_out, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_outen, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_control, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_read, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_write, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_chipctl_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_regctl_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_pmu_get_bus_clock, "_gpl", "");
KSYMTAB_FUNC(bcma_pmu_spuravoid_pllupdate, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_b_mii_write, "_gpl", "");
KSYMTAB_FUNC(bcma_core_pci_power_save, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_up, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_down, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_irq_ctl, "_gpl", "");

SYMBOL_CRC(bcma_find_core_unit, 0x4cd42dad, "_gpl");
SYMBOL_CRC(bcma_core_irq, 0xae185b95, "");
SYMBOL_CRC(__bcma_driver_register, 0x3d825bb7, "_gpl");
SYMBOL_CRC(bcma_driver_unregister, 0x913acfbd, "_gpl");
SYMBOL_CRC(bcma_core_is_enabled, 0x15997d60, "_gpl");
SYMBOL_CRC(bcma_core_disable, 0xde09597b, "_gpl");
SYMBOL_CRC(bcma_core_enable, 0x6890adcd, "_gpl");
SYMBOL_CRC(bcma_core_set_clockmode, 0x97d775d2, "_gpl");
SYMBOL_CRC(bcma_core_pll_ctl, 0x3078dc22, "_gpl");
SYMBOL_CRC(bcma_core_dma_translation, 0x91af71fd, "");
SYMBOL_CRC(bcma_chipco_get_alp_clock, 0xeaa99134, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_out, 0xdd78e751, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_outen, 0xc12e40b9, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_control, 0x3bdf7542, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_read, 0xa1f49f19, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_write, 0xada6b0c2, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_maskset, 0xf71d0ea1, "_gpl");
SYMBOL_CRC(bcma_chipco_chipctl_maskset, 0x13fd13de, "_gpl");
SYMBOL_CRC(bcma_chipco_regctl_maskset, 0xe07873de, "_gpl");
SYMBOL_CRC(bcma_pmu_get_bus_clock, 0xcc0670f9, "_gpl");
SYMBOL_CRC(bcma_pmu_spuravoid_pllupdate, 0x567b6410, "_gpl");
SYMBOL_CRC(bcma_chipco_b_mii_write, 0xe82314ff, "_gpl");
SYMBOL_CRC(bcma_core_pci_power_save, 0x9cf3bbc8, "_gpl");
SYMBOL_CRC(bcma_host_pci_up, 0xba30491d, "_gpl");
SYMBOL_CRC(bcma_host_pci_down, 0x7b28d4f2, "_gpl");
SYMBOL_CRC(bcma_host_pci_irq_ctl, 0x08517892, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x1387923d, "pci_enable_device" },
	{ 0x2c20363a, "dev_set_name" },
	{ 0x8813d256, "pci_iomap" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xbad6f2d5, "of_address_to_resource" },
	{ 0xfca97ecc, "device_unregister" },
	{ 0x79453d1e, "rt_mutex_base_init" },
	{ 0xf9872275, "of_platform_default_populate" },
	{ 0x7fc304e1, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x557d8693, "device_initialize" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0xe28b315, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0xe15dd715, "get_device" },
	{ 0x6a05327b, "of_irq_parse_one" },
	{ 0xe059620f, "__dynamic_dev_dbg" },
	{ 0xa81278e2, "pci_unregister_driver" },
	{ 0x53d014d3, "pci_read_config_dword" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x92997ed8, "_printk" },
	{ 0x3394634f, "of_irq_parse_raw" },
	{ 0x66485c57, "of_get_next_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x19134c3a, "put_device" },
	{ 0x5b58becb, "_dev_info" },
	{ 0x5d5cd158, "gpiochip_get_data" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xa241f849, "bus_unregister" },
	{ 0xecafe6e, "_dev_err" },
	{ 0x71affced, "device_add" },
	{ 0x936df1f2, "platform_device_unregister" },
	{ 0xa5fed0d4, "mutex_lock" },
	{ 0x5a7187f8, "driver_unregister" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xd0380734, "pci_iounmap" },
	{ 0xdcb764ad, "memset" },
	{ 0xcc3c416b, "_dev_warn" },
	{ 0xa64b564f, "pci_set_master" },
	{ 0x3173a661, "rt_spin_unlock" },
	{ 0x7687e44a, "rt_spin_lock" },
	{ 0xb9481506, "gpiochip_add_data_with_key" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1706e11c, "gpiochip_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x36607696, "platform_device_register_full" },
	{ 0x45c9f85d, "mutex_unlock" },
	{ 0xc729bdcf, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3aba8c6d, "pci_disable_device" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xe34bf3dd, "pcie_set_readrq" },
	{ 0x995c9240, "kmalloc_trace" },
	{ 0x6fa463b2, "irq_create_of_mapping" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0xdcf96c3b, "of_dma_configure_id" },
	{ 0x247de0c6, "driver_register" },
	{ 0x79ff2cda, "__mutex_rt_init" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1ff0f0bc, "__dev_fwnode" },
	{ 0xe708581c, "pci_write_config_dword" },
	{ 0x59abd70f, "kmalloc_caches" },
	{ 0xde16d4f4, "bus_register" },
	{ 0x62ac1cf0, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000014E4d00000576sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004313sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004331sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004353sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004357sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004358sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004359sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004360sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000016bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000018bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000105Bsd0000E092bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000103Csd0000804Abc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043AAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043B1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004727sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DCsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "25C521496BAEF4FC1986235");
MODULE_INFO(rhelversion, "9.7");
