#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(i3c_device_do_priv_xfers, "_gpl", "");
KSYMTAB_FUNC(i3c_device_get_info, "_gpl", "");
KSYMTAB_FUNC(i3c_device_disable_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_device_enable_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_device_request_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_device_free_ibi, "_gpl", "");
KSYMTAB_FUNC(i3cdev_to_dev, "_gpl", "");
KSYMTAB_FUNC(i3c_device_match_id, "_gpl", "");
KSYMTAB_FUNC(i3c_driver_register_with_owner, "_gpl", "");
KSYMTAB_FUNC(i3c_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(i3c_master_get_free_addr, "_gpl", "");
KSYMTAB_FUNC(i3c_master_entdaa_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_disec_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_enec_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_defslvs_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_do_daa, "_gpl", "");
KSYMTAB_FUNC(i3c_master_set_info, "_gpl", "");
KSYMTAB_FUNC(i3c_master_add_i3c_dev_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_queue_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_free_pool, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_alloc_pool, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_get_free_slot, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_recycle_slot, "_gpl", "");
KSYMTAB_FUNC(i3c_master_register, "_gpl", "");
KSYMTAB_FUNC(i3c_master_unregister, "_gpl", "");

SYMBOL_CRC(i3c_device_do_priv_xfers, 0x31e4d7c2, "_gpl");
SYMBOL_CRC(i3c_device_get_info, 0x26b44696, "_gpl");
SYMBOL_CRC(i3c_device_disable_ibi, 0xa9bf207d, "_gpl");
SYMBOL_CRC(i3c_device_enable_ibi, 0x6c0b00a9, "_gpl");
SYMBOL_CRC(i3c_device_request_ibi, 0xabefc1ce, "_gpl");
SYMBOL_CRC(i3c_device_free_ibi, 0xe91c6456, "_gpl");
SYMBOL_CRC(i3cdev_to_dev, 0x40a053a4, "_gpl");
SYMBOL_CRC(i3c_device_match_id, 0x88ce3dbf, "_gpl");
SYMBOL_CRC(i3c_driver_register_with_owner, 0xe88e99ca, "_gpl");
SYMBOL_CRC(i3c_driver_unregister, 0x5975166d, "_gpl");
SYMBOL_CRC(i3c_master_get_free_addr, 0x758b39f8, "_gpl");
SYMBOL_CRC(i3c_master_entdaa_locked, 0xe7efda3b, "_gpl");
SYMBOL_CRC(i3c_master_disec_locked, 0x775919cb, "_gpl");
SYMBOL_CRC(i3c_master_enec_locked, 0x2090432e, "_gpl");
SYMBOL_CRC(i3c_master_defslvs_locked, 0x450377d5, "_gpl");
SYMBOL_CRC(i3c_master_do_daa, 0x20bb21be, "_gpl");
SYMBOL_CRC(i3c_master_set_info, 0x313b724f, "_gpl");
SYMBOL_CRC(i3c_master_add_i3c_dev_locked, 0xe845f5e9, "_gpl");
SYMBOL_CRC(i3c_master_queue_ibi, 0x4282ad56, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_free_pool, 0x76fe3e05, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_alloc_pool, 0x34c002fb, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_get_free_slot, 0x72c18085, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_recycle_slot, 0x23288aa8, "_gpl");
SYMBOL_CRC(i3c_master_register, 0x0663f730, "_gpl");
SYMBOL_CRC(i3c_master_unregister, 0x772b2086, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x746af48a, "__init_rwsem" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x7e851956, "devm_kmalloc" },
	{ 0x9e67a114, "of_property_read_variable_u32_array" },
	{ 0x2c20363a, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xfca97ecc, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x79453d1e, "rt_mutex_base_init" },
	{ 0x557d8693, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0xca532e91, "of_get_next_available_child" },
	{ 0xe059620f, "__dynamic_dev_dbg" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x19134c3a, "put_device" },
	{ 0x67cebe59, "i2c_del_adapter" },
	{ 0xcfcd9151, "idr_remove" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xa241f849, "bus_unregister" },
	{ 0xd187deb0, "down_write" },
	{ 0xecafe6e, "_dev_err" },
	{ 0x2c240268, "up_write" },
	{ 0x71affced, "device_add" },
	{ 0x165c4194, "idr_alloc" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xa5fed0d4, "mutex_lock" },
	{ 0x9166fada, "strncpy" },
	{ 0x5a7187f8, "driver_unregister" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x57457366, "i2c_new_client_device" },
	{ 0x2645c0c0, "device_register" },
	{ 0x76651e2c, "device_del" },
	{ 0xe319c420, "idr_destroy" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x3173a661, "rt_spin_unlock" },
	{ 0xd55eb95e, "down_read" },
	{ 0x7687e44a, "rt_spin_lock" },
	{ 0xa6afc9f4, "i2c_add_adapter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x45c9f85d, "mutex_unlock" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x995c9240, "kmalloc_trace" },
	{ 0x160dd2e1, "of_i2c_get_board_info" },
	{ 0x147b1b44, "up_read" },
	{ 0x247de0c6, "driver_register" },
	{ 0x79ff2cda, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x59abd70f, "kmalloc_caches" },
	{ 0xde16d4f4, "bus_register" },
	{ 0x62ac1cf0, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2CAED58C89902178FD59920");
MODULE_INFO(rhelversion, "9.7");
