#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macsec_pn_wrapped, "_gpl", "");
KSYMTAB_FUNC(macsec_get_real_dev, "_gpl", "");
KSYMTAB_FUNC(macsec_netdev_is_offloaded, "_gpl", "");

SYMBOL_CRC(macsec_pn_wrapped, 0xcec4efdf, "_gpl");
SYMBOL_CRC(macsec_get_real_dev, 0xfad8fdb7, "_gpl");
SYMBOL_CRC(macsec_netdev_is_offloaded, 0xdc5e9ad3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92997ed8, "_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xac93c2c, "rtnl_link_register" },
	{ 0xef911ec7, "genl_register_family" },
	{ 0x4de434e8, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xdcb764ad, "memset" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x37a0cba, "kfree" },
	{ 0x83d29997, "crypto_destroy_tfm" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x60990601, "crypto_alloc_aead" },
	{ 0x53febe26, "crypto_aead_setkey" },
	{ 0x10beb9f9, "crypto_aead_setauthsize" },
	{ 0x1df605de, "nla_put_64bit" },
	{ 0x6e2b5444, "nla_put" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xfc032fc0, "skb_pull" },
	{ 0x884ff82e, "___pskb_trim" },
	{ 0x46c8673, "ether_setup" },
	{ 0xe604c240, "dev_fetch_sw_netstats" },
	{ 0x9025faad, "dev_mc_sync" },
	{ 0x6f2d376, "dev_uc_sync" },
	{ 0xf70d6f36, "dev_set_allmulti" },
	{ 0xd881b928, "dev_set_promiscuity" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x6dc142e1, "genl_unregister_family" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x7687e44a, "rt_spin_lock" },
	{ 0x3173a661, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x90ef0534, "__dev_get_by_index" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x54b31a, "skb_clone" },
	{ 0x4ad42e7b, "__netif_rx" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x141d79b3, "register_netdevice" },
	{ 0x464dbc23, "netdev_upper_dev_link" },
	{ 0xa1b94f7b, "netdev_upper_dev_unlink" },
	{ 0xaaee4004, "unregister_netdevice_queue" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x6145e25e, "metadata_dst_alloc" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xf02cf9a, "netif_stacked_transfer_operstate" },
	{ 0x529311dd, "linkwatch_fire_event" },
	{ 0x59abd70f, "kmalloc_caches" },
	{ 0x995c9240, "kmalloc_trace" },
	{ 0x909adbd2, "netdev_rx_handler_register" },
	{ 0x45c9f85d, "mutex_unlock" },
	{ 0xa5fed0d4, "mutex_lock" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xf33ac5f0, "skb_copy_expand" },
	{ 0xb5907893, "consume_skb" },
	{ 0x33f97b63, "skb_push" },
	{ 0xb1e15af8, "skb_put" },
	{ 0xac63ec4e, "skb_cow_data" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x1f23ed80, "skb_to_sgvec" },
	{ 0xee6920ff, "crypto_aead_encrypt" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x3b1ffa7d, "sk_skb_reason_drop" },
	{ 0x224c2b44, "skb_copy" },
	{ 0x483e6034, "skb_trim" },
	{ 0x29883353, "dst_release" },
	{ 0x11c5b532, "__dev_queue_xmit" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xd78b6164, "gro_cells_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x356e88af, "crypto_aead_decrypt" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x1d4692f8, "netdev_rx_handler_unregister" },
	{ 0xa6bc154, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xdb95b4f8, "netif_carrier_off" },
	{ 0x288b194c, "dev_mc_unsync" },
	{ 0x8f50b23, "dev_uc_unsync" },
	{ 0xd1c7ab87, "dev_uc_del" },
	{ 0xf85031a1, "dev_uc_add" },
	{ 0x48a87b72, "netif_carrier_on" },
	{ 0x5d26a115, "eth_type_trans" },
	{ 0x43a2ef02, "gro_cells_receive" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x79453d1e, "rt_mutex_base_init" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x27df670, "genlmsg_put" },
	{ 0x1eed5744, "__pskb_pull_tail" },
	{ 0x62ac1cf0, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "BEAB6ED3DFD77921345193F");
MODULE_INFO(rhelversion, "9.7");
