#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macvlan_common_setup, "_gpl", "");
KSYMTAB_FUNC(macvlan_common_newlink, "_gpl", "");
KSYMTAB_FUNC(macvlan_dellink, "_gpl", "");
KSYMTAB_FUNC(macvlan_link_register, "_gpl", "");

SYMBOL_CRC(macvlan_common_setup, 0x9551b60c, "_gpl");
SYMBOL_CRC(macvlan_common_newlink, 0x5c68cddc, "_gpl");
SYMBOL_CRC(macvlan_dellink, 0x1fbb9d05, "_gpl");
SYMBOL_CRC(macvlan_link_register, 0x87851b84, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x46c8673, "ether_setup" },
	{ 0x3d6ca598, "__ethtool_get_link_ksettings" },
	{ 0xca21c09e, "ethtool_get_ts_info_by_layer" },
	{ 0x87f88c7d, "init_net" },
	{ 0xb01e245d, "generic_hwtstamp_set_lower" },
	{ 0x70ef593, "generic_hwtstamp_get_lower" },
	{ 0xc05077f2, "dev_mc_del" },
	{ 0xd1c7ab87, "dev_uc_del" },
	{ 0x943fbc55, "dev_mc_add_excl" },
	{ 0x620a58ae, "dev_uc_add_excl" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x1000ea4a, "vlan_vid_del" },
	{ 0x202bf3c9, "vlan_vid_add" },
	{ 0xf70d6f36, "dev_set_allmulti" },
	{ 0xd881b928, "dev_set_promiscuity" },
	{ 0x8f50b23, "dev_uc_unsync" },
	{ 0x288b194c, "dev_mc_unsync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x59abd70f, "kmalloc_caches" },
	{ 0x995c9240, "kmalloc_trace" },
	{ 0xac93c2c, "rtnl_link_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x4de434e8, "rtnl_link_unregister" },
	{ 0x6e2b5444, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2d718a24, "netdev_is_rx_handler_busy" },
	{ 0xdcb764ad, "memset" },
	{ 0x79453d1e, "rt_mutex_base_init" },
	{ 0x909adbd2, "netdev_rx_handler_register" },
	{ 0x37a0cba, "kfree" },
	{ 0xf85031a1, "dev_uc_add" },
	{ 0x8dd65875, "dev_set_mac_address" },
	{ 0xc62ae015, "call_netdevice_notifiers" },
	{ 0x7c8856fa, "netif_inherit_tso_max" },
	{ 0x5acfb659, "netdev_update_features" },
	{ 0xf02cf9a, "netif_stacked_transfer_operstate" },
	{ 0xa6bc154, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xaaee4004, "unregister_netdevice_queue" },
	{ 0xa1b94f7b, "netdev_upper_dev_unlink" },
	{ 0x6f2d376, "dev_uc_sync" },
	{ 0x9025faad, "dev_mc_sync" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x54b31a, "skb_clone" },
	{ 0xf0f132b1, "netif_rx" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0xa70b32c1, "__dev_forward_skb" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x7687e44a, "rt_spin_lock" },
	{ 0x3173a661, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb5907893, "consume_skb" },
	{ 0x1d4692f8, "netdev_rx_handler_unregister" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x3b1ffa7d, "sk_skb_reason_drop" },
	{ 0x4829a47e, "memcpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x90ef0534, "__dev_get_by_index" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x141d79b3, "register_netdevice" },
	{ 0x464dbc23, "netdev_upper_dev_link" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x529311dd, "linkwatch_fire_event" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x4ad42e7b, "__netif_rx" },
	{ 0x2a18e7bd, "ip_check_defrag" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb9303e9f, "netdev_core_stats_inc" },
	{ 0x11c5b532, "__dev_queue_xmit" },
	{ 0xc029a8ad, "dev_forward_skb" },
	{ 0x55d5bd1f, "passthru_features_check" },
	{ 0x5c218b98, "eth_validate_addr" },
	{ 0x73250a90, "ndo_dflt_fdb_dump" },
	{ 0x879453ca, "eth_header_parse" },
	{ 0xfadf39d7, "eth_header_cache" },
	{ 0xdbfe8587, "eth_header_cache_update" },
	{ 0xb474b98b, "ethtool_op_get_link" },
	{ 0x62ac1cf0, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4A709F56BF6115152F7F51F");
MODULE_INFO(rhelversion, "9.7");
