#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0xfd5581dd, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0x7a24ab47, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0x69a1ec21, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0x027534e6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0x3b441a60, "__skb_checksum_complete" },
	{ 0xf4744b83, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x4a9921d8, "skb_copy_bits" },
	{ 0x61432ba0, "__nlmsg_put" },
	{ 0x3a3c0619, "netdev_adjacent_change_commit" },
	{ 0xb4d625a1, "eth_mac_addr" },
	{ 0xb1e15af8, "skb_put" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xcd1b8af8, "ip6_dst_hoplimit" },
	{ 0x98a3e3fa, "param_ops_ushort" },
	{ 0xb5907893, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x1df605de, "nla_put_64bit" },
	{ 0x3d1007da, "udp_sock_create4" },
	{ 0x79453d1e, "rt_mutex_base_init" },
	{ 0xec31819a, "udp_tunnel6_xmit_skb" },
	{ 0xac93c2c, "rtnl_link_register" },
	{ 0x1824de2e, "__unregister_nexthop_notifier" },
	{ 0x7c8856fa, "netif_inherit_tso_max" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x5c218b98, "eth_validate_addr" },
	{ 0x19273b5b, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xd78b6164, "gro_cells_init" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x55186ff4, "rtnl_create_link" },
	{ 0xaaee4004, "unregister_netdevice_queue" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x8d13b622, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x46c8673, "ether_setup" },
	{ 0xe6f63494, "udp_tunnel_drop_rx_port" },
	{ 0x464dbc23, "netdev_upper_dev_link" },
	{ 0x80003181, "pskb_expand_head" },
	{ 0x763a7090, "register_pernet_subsys" },
	{ 0x5d26a115, "eth_type_trans" },
	{ 0x35240f5a, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0x88ad8d70, "__alloc_skb" },
	{ 0x769ea2c1, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x4d01a2c, "eth_gro_complete" },
	{ 0xf1013a0e, "rtnl_set_sk_err" },
	{ 0xeb264fb1, "eth_gro_receive" },
	{ 0xfeee76e8, "rtnl_configure_link" },
	{ 0x6051b79e, "skb_tunnel_check_pmtu" },
	{ 0x8d0050c6, "udp_tunnel_dst_lookup" },
	{ 0x2885eb80, "rtnl_unicast" },
	{ 0x93700d52, "peernet2id" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x14aa7667, "__skb_get_hash_net" },
	{ 0xe4230d0, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x90ef0534, "__dev_get_by_index" },
	{ 0x4de434e8, "rtnl_link_unregister" },
	{ 0x290dc742, "ipv6_stub" },
	{ 0xfc032fc0, "skb_pull" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0xc633fc21, "gro_find_complete_by_type" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3b1ffa7d, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xcdb4513d, "dev_get_by_index_rcu" },
	{ 0x43a2ef02, "gro_cells_receive" },
	{ 0x33f97b63, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0xa1b94f7b, "netdev_upper_dev_unlink" },
	{ 0x6e2b5444, "nla_put" },
	{ 0x88d57ca9, "free_netdev" },
	{ 0xbefd3bc3, "ip_mc_join_group" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xf81b3fb4, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xdac0b421, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xb474b98b, "ethtool_op_get_link" },
	{ 0x16a9cbe5, "nexthop_find_by_id" },
	{ 0x94b3b7fd, "arp_create" },
	{ 0x3d6ca598, "__ethtool_get_link_ksettings" },
	{ 0xec6358fa, "netdev_adjacent_change_prepare" },
	{ 0x2fa10c52, "rtnl_register_module" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xf4e2731c, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xb3edc7f0, "rhashtable_free_and_destroy" },
	{ 0xdcb764ad, "memset" },
	{ 0xeee2ee1a, "rht_bucket_nested_insert" },
	{ 0xb69789d2, "netdev_adjacent_change_abort" },
	{ 0x87ec47b9, "udp_tunnel_sock_release" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x559dd96c, "udp_tunnel6_dst_lookup" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb479639b, "__iptunnel_pull_header" },
	{ 0x1eed5744, "__pskb_pull_tail" },
	{ 0xe4af56ab, "dev_get_tstats64" },
	{ 0xf0f132b1, "netif_rx" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xeb986622, "rhashtable_destroy" },
	{ 0x3173a661, "rt_spin_unlock" },
	{ 0x36d7e793, "setup_udp_tunnel_sock" },
	{ 0x9af43ef4, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x483e6034, "skb_trim" },
	{ 0x7687e44a, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x71de8260, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x825868bb, "skb_scrub_packet" },
	{ 0x5af99465, "nexthop_select_path" },
	{ 0x43a281ff, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xe0bc126b, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7eafc34c, "neigh_destroy" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x74285f74, "param_ops_bool" },
	{ 0x1001eaa0, "udp_tun_rx_dst" },
	{ 0x1be437ff, "rtnl_notify" },
	{ 0xb56a0ca8, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x4ad42e7b, "__netif_rx" },
	{ 0x54b31a, "skb_clone" },
	{ 0x6145e25e, "metadata_dst_alloc" },
	{ 0x29883353, "dst_release" },
	{ 0x9611dc0, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0x7da82862, "udp_tunnel_notify_del_rx_port" },
	{ 0xd0641b51, "register_nexthop_notifier" },
	{ 0x3238abc2, "ip_mc_leave_group" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x995c9240, "kmalloc_trace" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x16e98389, "gro_find_receive_by_type" },
	{ 0xb9303e9f, "netdev_core_stats_inc" },
	{ 0x59abd70f, "kmalloc_caches" },
	{ 0xb0299563, "netdev_info" },
	{ 0xec02cfff, "neigh_lookup" },
	{ 0x46838199, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x141d79b3, "register_netdevice" },
	{ 0x62ac1cf0, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "2843CFAE04B8BC03483FF07");
MODULE_INFO(rhelversion, "9.7");
