#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(crypto_transfer_aead_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_akcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_hash_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_kpp_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_skcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_aead_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_akcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_hash_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_kpp_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_skcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_start, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_stop, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init_and_set, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_exit, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skciphers, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skciphers, "_gpl", "");

SYMBOL_CRC(crypto_transfer_aead_request_to_engine, 0xaf8a7b28, "_gpl");
SYMBOL_CRC(crypto_transfer_akcipher_request_to_engine, 0x67e05c05, "_gpl");
SYMBOL_CRC(crypto_transfer_hash_request_to_engine, 0x6325ffda, "_gpl");
SYMBOL_CRC(crypto_transfer_kpp_request_to_engine, 0xbb65bf18, "_gpl");
SYMBOL_CRC(crypto_transfer_skcipher_request_to_engine, 0xf56cd204, "_gpl");
SYMBOL_CRC(crypto_finalize_aead_request, 0xe3bbe476, "_gpl");
SYMBOL_CRC(crypto_finalize_akcipher_request, 0x5633b691, "_gpl");
SYMBOL_CRC(crypto_finalize_hash_request, 0xe48e247d, "_gpl");
SYMBOL_CRC(crypto_finalize_kpp_request, 0x47aac457, "_gpl");
SYMBOL_CRC(crypto_finalize_skcipher_request, 0x4f28297f, "_gpl");
SYMBOL_CRC(crypto_engine_start, 0xb1777103, "_gpl");
SYMBOL_CRC(crypto_engine_stop, 0xc6b0575e, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init_and_set, 0x53a645d1, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init, 0x332fdcb5, "_gpl");
SYMBOL_CRC(crypto_engine_exit, 0x44107d44, "_gpl");
SYMBOL_CRC(crypto_engine_register_aead, 0xa9f91164, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aead, 0x0f9dc472, "_gpl");
SYMBOL_CRC(crypto_engine_register_aeads, 0x2c11f0a2, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aeads, 0x6e5e439e, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahash, 0x7a045e6a, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahash, 0x96aad0d8, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahashes, 0xd92fae52, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahashes, 0x5be7b467, "_gpl");
SYMBOL_CRC(crypto_engine_register_akcipher, 0x5ae82a54, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_akcipher, 0xd15fe6da, "_gpl");
SYMBOL_CRC(crypto_engine_register_kpp, 0x0d1d5646, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_kpp, 0xa345b72a, "_gpl");
SYMBOL_CRC(crypto_engine_register_skcipher, 0xf9e02f65, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skcipher, 0x6ccaae1c, "_gpl");
SYMBOL_CRC(crypto_engine_register_skciphers, 0xf1b31bf9, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skciphers, 0x5c406f4f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7687e44a, "rt_spin_lock" },
	{ 0x3173a661, "rt_spin_unlock" },
	{ 0xb536dbf1, "kthread_queue_work" },
	{ 0xecafe6e, "_dev_err" },
	{ 0xf9a482f9, "msleep" },
	{ 0xcc3c416b, "_dev_warn" },
	{ 0x7e851956, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0x79453d1e, "rt_mutex_base_init" },
	{ 0xa3d77013, "kthread_create_worker" },
	{ 0x5b58becb, "_dev_info" },
	{ 0x55cf5492, "sched_set_fifo" },
	{ 0xba82148b, "kthread_destroy_worker" },
	{ 0x2f8721e, "crypto_register_aead" },
	{ 0xa9099d36, "crypto_unregister_aead" },
	{ 0x2256cec9, "crypto_register_ahash" },
	{ 0xe009551e, "crypto_unregister_ahash" },
	{ 0xe99b2ac, "crypto_register_akcipher" },
	{ 0x97e0e2cf, "crypto_unregister_akcipher" },
	{ 0xea2b679a, "crypto_register_kpp" },
	{ 0x90e06409, "crypto_unregister_kpp" },
	{ 0x478c2a8e, "crypto_register_skcipher" },
	{ 0x3dd1e721, "crypto_unregister_skcipher" },
	{ 0x92385e16, "crypto_enqueue_request" },
	{ 0xb6251099, "crypto_dequeue_request" },
	{ 0xa6200b5c, "crypto_enqueue_request_head" },
	{ 0x62ac1cf0, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5388079424D07DA9929859C");
MODULE_INFO(rhelversion, "9.7");
