#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dm_send_uevents, "_gpl", "");
KSYMTAB_FUNC(dm_path_uevent, "_gpl", "");
KSYMTAB_FUNC(dm_report_zones, "_gpl", "");
KSYMTAB_FUNC(dm_audit_log_ti, "_gpl", "");
KSYMTAB_FUNC(dm_audit_log_bio, "_gpl", "");
KSYMTAB_FUNC(dm_per_bio_data, "_gpl", "");
KSYMTAB_FUNC(dm_bio_from_per_bio_data, "_gpl", "");
KSYMTAB_FUNC(dm_bio_get_target_bio_nr, "_gpl", "");
KSYMTAB_FUNC(dm_get_reserved_bio_based_ios, "_gpl", "");
KSYMTAB_FUNC(dm_start_time_ns_from_clone, "_gpl", "");
KSYMTAB_FUNC(dm_set_target_max_io_len, "_gpl", "");
KSYMTAB_FUNC(dm_accept_partial_bio, "_gpl", "");
KSYMTAB_FUNC(dm_submit_bio_remap, "_gpl", "");
KSYMTAB_FUNC(dm_get_md, "_gpl", "");
KSYMTAB_FUNC(dm_hold, "_gpl", "");
KSYMTAB_FUNC(dm_device_name, "_gpl", "");
KSYMTAB_FUNC(dm_put, "_gpl", "");
KSYMTAB_FUNC(dm_internal_suspend_noflush, "_gpl", "");
KSYMTAB_FUNC(dm_internal_resume, "_gpl", "");
KSYMTAB_FUNC(dm_internal_suspend_fast, "_gpl", "");
KSYMTAB_FUNC(dm_internal_resume_fast, "_gpl", "");
KSYMTAB_FUNC(dm_disk, "_gpl", "");
KSYMTAB_FUNC(dm_suspended, "_gpl", "");
KSYMTAB_FUNC(dm_post_suspending, "_gpl", "");
KSYMTAB_FUNC(dm_noflush_suspending, "_gpl", "");
KSYMTAB_FUNC(dm_devt_from_path, "", "");
KSYMTAB_FUNC(dm_get_device, "", "");
KSYMTAB_FUNC(dm_put_device, "", "");
KSYMTAB_FUNC(dm_read_arg, "", "");
KSYMTAB_FUNC(dm_read_arg_group, "", "");
KSYMTAB_FUNC(dm_shift_arg, "", "");
KSYMTAB_FUNC(dm_consume_args, "", "");
KSYMTAB_FUNC(dm_table_set_type, "_gpl", "");
KSYMTAB_FUNC(dm_table_event, "", "");
KSYMTAB_FUNC(dm_table_get_size, "", "");
KSYMTAB_FUNC(dm_table_get_mode, "", "");
KSYMTAB_FUNC(dm_table_get_md, "", "");
KSYMTAB_FUNC(dm_table_device_name, "_gpl", "");
KSYMTAB_FUNC(dm_table_run_md_queue_async, "", "");
KSYMTAB_FUNC(dm_register_target, "", "");
KSYMTAB_FUNC(dm_unregister_target, "", "");
KSYMTAB_FUNC(dm_copy_name_and_uuid, "_gpl", "");
KSYMTAB_FUNC(dm_io_client_create, "", "");
KSYMTAB_FUNC(dm_io_client_destroy, "", "");
KSYMTAB_FUNC(dm_io, "", "");
KSYMTAB_FUNC(dm_kcopyd_copy, "", "");
KSYMTAB_FUNC(dm_kcopyd_zero, "", "");
KSYMTAB_FUNC(dm_kcopyd_prepare_callback, "", "");
KSYMTAB_FUNC(dm_kcopyd_do_callback, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_create, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_destroy, "", "");
KSYMTAB_FUNC(dm_kcopyd_client_flush, "", "");
KSYMTAB_FUNC(dm_mq_kick_requeue_list, "", "");

SYMBOL_CRC(dm_send_uevents, 0xad1883c2, "_gpl");
SYMBOL_CRC(dm_path_uevent, 0xac9442ef, "_gpl");
SYMBOL_CRC(dm_report_zones, 0xa092da07, "_gpl");
SYMBOL_CRC(dm_audit_log_ti, 0xa27dcbef, "_gpl");
SYMBOL_CRC(dm_audit_log_bio, 0xf196fcd0, "_gpl");
SYMBOL_CRC(dm_per_bio_data, 0x78851af8, "_gpl");
SYMBOL_CRC(dm_bio_from_per_bio_data, 0xcbf21a7b, "_gpl");
SYMBOL_CRC(dm_bio_get_target_bio_nr, 0x84514446, "_gpl");
SYMBOL_CRC(dm_get_reserved_bio_based_ios, 0x38f704de, "_gpl");
SYMBOL_CRC(dm_start_time_ns_from_clone, 0x5fce6b30, "_gpl");
SYMBOL_CRC(dm_set_target_max_io_len, 0x7d5d87f5, "_gpl");
SYMBOL_CRC(dm_accept_partial_bio, 0xf5e6c04c, "_gpl");
SYMBOL_CRC(dm_submit_bio_remap, 0xb3ffc04e, "_gpl");
SYMBOL_CRC(dm_get_md, 0x97bdc355, "_gpl");
SYMBOL_CRC(dm_hold, 0x88c87620, "_gpl");
SYMBOL_CRC(dm_device_name, 0x4487d761, "_gpl");
SYMBOL_CRC(dm_put, 0xdab6cbbb, "_gpl");
SYMBOL_CRC(dm_internal_suspend_noflush, 0x0bd9d728, "_gpl");
SYMBOL_CRC(dm_internal_resume, 0x44c1b147, "_gpl");
SYMBOL_CRC(dm_internal_suspend_fast, 0xb6560342, "_gpl");
SYMBOL_CRC(dm_internal_resume_fast, 0xc6fb41e8, "_gpl");
SYMBOL_CRC(dm_disk, 0xe74ce0df, "_gpl");
SYMBOL_CRC(dm_suspended, 0x272b9b7c, "_gpl");
SYMBOL_CRC(dm_post_suspending, 0x592e3b7f, "_gpl");
SYMBOL_CRC(dm_noflush_suspending, 0x5b5cf5b4, "_gpl");
SYMBOL_CRC(dm_devt_from_path, 0x23418c7d, "");
SYMBOL_CRC(dm_get_device, 0xc5a7e1ec, "");
SYMBOL_CRC(dm_put_device, 0xf505dd88, "");
SYMBOL_CRC(dm_read_arg, 0x056bcf7b, "");
SYMBOL_CRC(dm_read_arg_group, 0x39c74235, "");
SYMBOL_CRC(dm_shift_arg, 0x7d27e504, "");
SYMBOL_CRC(dm_consume_args, 0x669c191b, "");
SYMBOL_CRC(dm_table_set_type, 0x65eec101, "_gpl");
SYMBOL_CRC(dm_table_event, 0x602ae7ec, "");
SYMBOL_CRC(dm_table_get_size, 0x9ab3adc9, "");
SYMBOL_CRC(dm_table_get_mode, 0x790316b5, "");
SYMBOL_CRC(dm_table_get_md, 0x924106d7, "");
SYMBOL_CRC(dm_table_device_name, 0x29f15919, "_gpl");
SYMBOL_CRC(dm_table_run_md_queue_async, 0xccae0c0d, "");
SYMBOL_CRC(dm_register_target, 0x6138bcfa, "");
SYMBOL_CRC(dm_unregister_target, 0x37c99bf4, "");
SYMBOL_CRC(dm_copy_name_and_uuid, 0xefcf40ec, "_gpl");
SYMBOL_CRC(dm_io_client_create, 0x601f665f, "");
SYMBOL_CRC(dm_io_client_destroy, 0x9e4faeef, "");
SYMBOL_CRC(dm_io, 0x4041a018, "");
SYMBOL_CRC(dm_kcopyd_copy, 0x0676a25a, "");
SYMBOL_CRC(dm_kcopyd_zero, 0x329da60a, "");
SYMBOL_CRC(dm_kcopyd_prepare_callback, 0xf1f88a0e, "");
SYMBOL_CRC(dm_kcopyd_do_callback, 0xf2a8efae, "");
SYMBOL_CRC(dm_kcopyd_client_create, 0x9dd9df13, "");
SYMBOL_CRC(dm_kcopyd_client_destroy, 0x154c6338, "");
SYMBOL_CRC(dm_kcopyd_client_flush, 0x90006be6, "");
SYMBOL_CRC(dm_mq_kick_requeue_list, 0x12a35487, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa54d3399, "bio_associate_blkg" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe1dcf64a, "audit_log_format" },
	{ 0xaa6b36eb, "set_disk_ro" },
	{ 0xcc100c9b, "__blk_alloc_disk" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x4259f6b4, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x746af48a, "__init_rwsem" },
	{ 0xc3556e63, "misc_deregister" },
	{ 0x9ad3cd51, "blk_start_plug" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xdb51e2d1, "idr_find" },
	{ 0x5ab954, "param_ops_uint" },
	{ 0x5bbf1760, "param_ops_ulong" },
	{ 0x2a976d1c, "dax_synchronous" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe0344918, "bio_split_to_limits" },
	{ 0x9757d3c2, "vmalloc_to_page" },
	{ 0x31158674, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d8bb00e, "set_dax_nocache" },
	{ 0xa1545102, "bio_poll" },
	{ 0xca9360b5, "rb_next" },
	{ 0x43ea6926, "blk_mq_queue_inflight" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x79453d1e, "rt_mutex_base_init" },
	{ 0x7381b1e8, "finish_wait" },
	{ 0xeb37101c, "audit_log_end" },
	{ 0x96848186, "scnprintf" },
	{ 0x72d40977, "idr_replace" },
	{ 0x4cc124aa, "dm_kobject_release" },
	{ 0xcf2a6966, "up" },
	{ 0x2ceba58f, "mempool_init" },
	{ 0xe11dfb39, "blk_rq_prep_clone" },
	{ 0x76247ce1, "blk_mq_unquiesce_queue" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x8014a09f, "prepare_to_wait" },
	{ 0xae5aba6e, "blk_mq_quiesce_queue" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x95d80946, "__traceiter_block_bio_remap" },
	{ 0x7c5b4051, "blk_mq_kick_requeue_list" },
	{ 0x138e0957, "dax_write_cache_enabled" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x402f7a38, "prepare_to_wait_event" },
	{ 0xaf5faf82, "blk_rq_unprep_clone" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xe3da0c90, "__wake_up" },
	{ 0x6094cfba, "synchronize_srcu" },
	{ 0xf19364e, "kmem_cache_create" },
	{ 0xccc8c25e, "blk_mq_end_request" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x2ddfa8bc, "bdev_thaw" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x43dd5162, "mempool_free" },
	{ 0x916758a3, "node_states" },
	{ 0x48400baf, "alloc_dax" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xcebe712d, "blk_mq_delay_kick_requeue_list" },
	{ 0x389b64a2, "static_key_count" },
	{ 0x78e96af2, "blk_mq_alloc_tag_set" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xacf649bf, "audit_log_task_info" },
	{ 0x83d29997, "crypto_destroy_tfm" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x29b249fa, "__traceiter_block_split" },
	{ 0xb249432d, "bioset_integrity_create" },
	{ 0x92997ed8, "_printk" },
	{ 0x9db0d4b3, "put_disk" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x2a203c12, "bio_integrity_trim" },
	{ 0x1000e51, "schedule" },
	{ 0x49c51786, "__fput_sync" },
	{ 0xfad9c827, "kill_dax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x34fc4ad3, "__tracepoint_block_split" },
	{ 0xa916b694, "strnlen" },
	{ 0x1380f964, "kmalloc_node_trace" },
	{ 0x92fdaa84, "mempool_alloc" },
	{ 0x618911fc, "numa_node" },
	{ 0x2da5784a, "__free_pages" },
	{ 0x2be72e71, "kmem_cache_alloc" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x513540af, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0x75337cb3, "submit_bio" },
	{ 0x3c22039d, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x2e98cb45, "blk_mq_init_allocated_queue" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x6fff261f, "__arch_clear_user" },
	{ 0xf586e6a3, "bioset_exit" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0x5739a145, "ima_measure_critical_data" },
	{ 0xcfcd9151, "idr_remove" },
	{ 0xa525bda0, "kobject_uevent_env" },
	{ 0xa298ef42, "bio_put" },
	{ 0xa25d7eb5, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9e9c4f24, "set_dax_nomc" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x749674b6, "init_srcu_struct" },
	{ 0x2e0563a, "fput" },
	{ 0xd187deb0, "down_write" },
	{ 0x9a606852, "blk_revalidate_disk_zones" },
	{ 0x2c240268, "up_write" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x2b74694, "blk_update_request" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x165c4194, "idr_alloc" },
	{ 0xa07a37f0, "memchr" },
	{ 0x3c06b525, "__srcu_read_lock" },
	{ 0x9af11c71, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x18f4bc6f, "set_capacity" },
	{ 0x33b87bf5, "submit_bio_noacct" },
	{ 0xd7b0ab22, "noop_llseek" },
	{ 0x6626afca, "down" },
	{ 0x5f6f1e9e, "dax_get_private" },
	{ 0x954f099c, "idr_preload" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xa5fed0d4, "mutex_lock" },
	{ 0xe4bbc1dd, "kimage_voffset" },
	{ 0xac4f9b38, "bdev_start_io_acct" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0x19039db, "kmem_cache_free" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x9a319c0f, "bio_chain" },
	{ 0x32de9284, "bdev_freeze" },
	{ 0x392b1fea, "wait_for_completion_io" },
	{ 0xf7f546ee, "blk_stack_limits" },
	{ 0x8c0b084c, "kobject_init_and_add" },
	{ 0x757156e, "zero_fill_bio_iter" },
	{ 0xd0a4f380, "bio_add_page" },
	{ 0xfbe12654, "crypto_shash_update" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x2fe05031, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x814884f7, "del_gendisk" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x6948e644, "cleanup_srcu_struct" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xc50f844, "bdev_file_open_by_dev" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x10f662a, "blk_set_stacking_limits" },
	{ 0x11089ac7, "_ctype" },
	{ 0xb44e18ea, "audit_enabled" },
	{ 0xe319c420, "idr_destroy" },
	{ 0x9d7db0c8, "bd_unlink_disk_holder" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xbae0265, "bio_init" },
	{ 0xdcb764ad, "memset" },
	{ 0x23d37a5, "bio_alloc_clone" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x1c406cb9, "misc_register" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x252eec57, "blk_insert_cloned_request" },
	{ 0x226f85d5, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x3173a661, "rt_spin_unlock" },
	{ 0xd55eb95e, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7687e44a, "rt_spin_lock" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x96a2efba, "audit_log_start" },
	{ 0x2d80fbfd, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x573b54e, "blk_mq_complete_request" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xbf96e2be, "bio_uninit" },
	{ 0x96344777, "crypto_shash_final" },
	{ 0x45c9f85d, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0x74285f74, "param_ops_bool" },
	{ 0x6d75ca32, "bioset_init" },
	{ 0xf76d69f9, "bio_trim" },
	{ 0x330f6116, "set_dax_synchronous" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x125c0fa, "alloc_pages" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc30ff8cb, "__traceiter_block_rq_remap" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x310da69a, "__srcu_read_unlock" },
	{ 0x8135613, "dax_write_cache" },
	{ 0xae64f1dd, "__tracepoint_block_bio_remap" },
	{ 0x8ce2d446, "__tracepoint_block_rq_remap" },
	{ 0x4db5675d, "bd_link_disk_holder" },
	{ 0x7cf1dc41, "blk_mq_start_request" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x7242d92, "put_dax" },
	{ 0x64f5c726, "file_bdev" },
	{ 0x9d8ec7f3, "queue_limits_stack_integrity" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x995c9240, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xf043f02f, "blk_mark_disk_dead" },
	{ 0x98cf60b3, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xecfe5fe9, "blk_zone_plug_bio" },
	{ 0x9678b592, "param_ops_int" },
	{ 0xd13e58, "blk_mq_run_hw_queues" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x349cba85, "strchr" },
	{ 0x834d45bd, "crypto_alloc_shash" },
	{ 0x86f6b99d, "synchronize_rcu_expedited" },
	{ 0xbdffb3fe, "queue_limits_set" },
	{ 0x23494596, "bio_alloc_bioset" },
	{ 0x147b1b44, "up_read" },
	{ 0xbea9cf68, "blk_mq_requeue_request" },
	{ 0x79ff2cda, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x1cc47029, "blkdev_report_zones" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x2d50533c, "bdev_end_io_acct" },
	{ 0x59abd70f, "kmalloc_caches" },
	{ 0x6482b23f, "mempool_exit" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xffdbaa6f, "kmem_cache_destroy" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x5db432aa, "kobject_put" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x62ac1cf0, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A55D903BDA37EB1CF088DF3");
MODULE_INFO(rhelversion, "9.7");
