#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cec_allocate_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_register_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_unregister_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_delete_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_get_edid_phys_addr, "_gpl", "");
KSYMTAB_FUNC(cec_fill_conn_info_from_drm, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_cec_event, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_hpd_event, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_5v_event, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_done_ts, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_attempt_done_ts, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_msg, "_gpl", "");
KSYMTAB_FUNC(cec_received_msg_ts, "_gpl", "");
KSYMTAB_FUNC(cec_s_phys_addr, "_gpl", "");
KSYMTAB_FUNC(cec_s_phys_addr_from_edid, "_gpl", "");
KSYMTAB_FUNC(cec_s_conn_info, "_gpl", "");
KSYMTAB_FUNC(cec_s_log_addrs, "_gpl", "");

SYMBOL_CRC(cec_allocate_adapter, 0xa4c02727, "_gpl");
SYMBOL_CRC(cec_register_adapter, 0x0fe206d1, "_gpl");
SYMBOL_CRC(cec_unregister_adapter, 0x34b09809, "_gpl");
SYMBOL_CRC(cec_delete_adapter, 0xe24c645b, "_gpl");
SYMBOL_CRC(cec_get_edid_phys_addr, 0xbe4de675, "_gpl");
SYMBOL_CRC(cec_fill_conn_info_from_drm, 0xebe7a0e0, "_gpl");
SYMBOL_CRC(cec_queue_pin_cec_event, 0xa3ed903d, "_gpl");
SYMBOL_CRC(cec_queue_pin_hpd_event, 0x248089ed, "_gpl");
SYMBOL_CRC(cec_queue_pin_5v_event, 0x9368a566, "_gpl");
SYMBOL_CRC(cec_transmit_done_ts, 0x3e9f16f5, "_gpl");
SYMBOL_CRC(cec_transmit_attempt_done_ts, 0x1bf1da8c, "_gpl");
SYMBOL_CRC(cec_transmit_msg, 0xd995a8a9, "_gpl");
SYMBOL_CRC(cec_received_msg_ts, 0x6537907b, "_gpl");
SYMBOL_CRC(cec_s_phys_addr, 0x129a7493, "_gpl");
SYMBOL_CRC(cec_s_phys_addr_from_edid, 0x00c3a50c, "_gpl");
SYMBOL_CRC(cec_s_conn_info, 0xf9148330, "_gpl");
SYMBOL_CRC(cec_s_log_addrs, 0x93eafb65, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x2c20363a, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0x7d87da58, "cdev_device_del" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x79453d1e, "rt_mutex_base_init" },
	{ 0x7381b1e8, "finish_wait" },
	{ 0x557d8693, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x76d49ad4, "seq_lseek" },
	{ 0x402f7a38, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe3da0c90, "__wake_up" },
	{ 0xe15dd715, "get_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf52e1195, "wake_up_process" },
	{ 0x92997ed8, "_printk" },
	{ 0x372ba7ba, "cdev_device_add" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5bd4a205, "debugfs_create_devm_seqfile" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x19134c3a, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xc6cbbc89, "capable" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xa241f849, "bus_unregister" },
	{ 0xa5fed0d4, "mutex_lock" },
	{ 0x63cd00b, "debugfs_remove" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xa7249ca6, "kthread_stop" },
	{ 0x20463df4, "wait_for_completion_killable" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0xdcb764ad, "memset" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x226f85d5, "__init_waitqueue_head" },
	{ 0x9c0d7a68, "kthread_create_on_node" },
	{ 0x547ed95e, "seq_read" },
	{ 0x7ef7c18e, "debugfs_create_file" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x85df9b6c, "strsep" },
	{ 0x45c9f85d, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x74285f74, "param_ops_bool" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0xd9d25957, "kobject_set_name" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x26357361, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x95b9fba0, "seq_puts" },
	{ 0x77b5a4d8, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x995c9240, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0x9678b592, "param_ops_int" },
	{ 0xe2b11876, "single_open" },
	{ 0xb76d8526, "debugfs_create_dir" },
	{ 0x79ff2cda, "__mutex_rt_init" },
	{ 0x3ff72adf, "cdev_init" },
	{ 0x59abd70f, "kmalloc_caches" },
	{ 0xde16d4f4, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x62ac1cf0, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6E16BA39B674A2A31DB9EFC");
MODULE_INFO(rhelversion, "9.7");
