#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(media_device_register_entity, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister_entity, "_gpl", "");
KSYMTAB_FUNC(media_device_init, "_gpl", "");
KSYMTAB_FUNC(media_device_cleanup, "_gpl", "");
KSYMTAB_FUNC(__media_device_register, "_gpl", "");
KSYMTAB_FUNC(media_device_register_entity_notify, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister_entity_notify, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister, "_gpl", "");
KSYMTAB_FUNC(media_device_pci_init, "_gpl", "");
KSYMTAB_FUNC(__media_device_usb_init, "_gpl", "");
KSYMTAB_FUNC(media_entity_enum_init, "_gpl", "");
KSYMTAB_FUNC(media_entity_enum_cleanup, "_gpl", "");
KSYMTAB_FUNC(media_entity_pads_init, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_init, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_cleanup, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_start, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_next, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_alloc_start, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_pad_iter_next, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_entity_iter_init, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_entity_iter_cleanup, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_entity_iter_next, "_gpl", "");
KSYMTAB_FUNC(media_get_pad_index, "_gpl", "");
KSYMTAB_FUNC(media_create_pad_link, "_gpl", "");
KSYMTAB_FUNC(media_create_pad_links, "_gpl", "");
KSYMTAB_FUNC(__media_entity_remove_links, "_gpl", "");
KSYMTAB_FUNC(media_entity_remove_links, "_gpl", "");
KSYMTAB_FUNC(__media_entity_setup_link, "_gpl", "");
KSYMTAB_FUNC(media_entity_setup_link, "_gpl", "");
KSYMTAB_FUNC(media_entity_find_link, "_gpl", "");
KSYMTAB_FUNC(media_pad_remote_pad_first, "_gpl", "");
KSYMTAB_FUNC(media_entity_remote_pad_unique, "_gpl", "");
KSYMTAB_FUNC(media_pad_remote_pad_unique, "_gpl", "");
KSYMTAB_FUNC(media_entity_get_fwnode_pad, "_gpl", "");
KSYMTAB_FUNC(media_entity_pipeline, "_gpl", "");
KSYMTAB_FUNC(media_pad_pipeline, "_gpl", "");
KSYMTAB_FUNC(media_devnode_create, "_gpl", "");
KSYMTAB_FUNC(media_devnode_remove, "_gpl", "");
KSYMTAB_FUNC(media_create_intf_link, "_gpl", "");
KSYMTAB_FUNC(__media_remove_intf_link, "_gpl", "");
KSYMTAB_FUNC(media_remove_intf_link, "_gpl", "");
KSYMTAB_FUNC(__media_remove_intf_links, "_gpl", "");
KSYMTAB_FUNC(media_remove_intf_links, "_gpl", "");
KSYMTAB_FUNC(media_create_ancillary_link, "_gpl", "");
KSYMTAB_FUNC(__media_entity_next_link, "_gpl", "");
KSYMTAB_FUNC(media_request_put, "_gpl", "");
KSYMTAB_FUNC(media_request_get_by_fd, "_gpl", "");
KSYMTAB_FUNC(media_request_object_find, "_gpl", "");
KSYMTAB_FUNC(media_request_object_put, "_gpl", "");
KSYMTAB_FUNC(media_request_object_init, "_gpl", "");
KSYMTAB_FUNC(media_request_object_bind, "_gpl", "");
KSYMTAB_FUNC(media_request_object_unbind, "_gpl", "");
KSYMTAB_FUNC(media_request_object_complete, "_gpl", "");
KSYMTAB_FUNC(media_device_usb_allocate, "_gpl", "");
KSYMTAB_FUNC(media_device_delete, "_gpl", "");

SYMBOL_CRC(media_device_register_entity, 0x63c50109, "_gpl");
SYMBOL_CRC(media_device_unregister_entity, 0x4e253465, "_gpl");
SYMBOL_CRC(media_device_init, 0xff4ef13a, "_gpl");
SYMBOL_CRC(media_device_cleanup, 0x11b8e852, "_gpl");
SYMBOL_CRC(__media_device_register, 0x038ff31d, "_gpl");
SYMBOL_CRC(media_device_register_entity_notify, 0xc1a9ebda, "_gpl");
SYMBOL_CRC(media_device_unregister_entity_notify, 0x5790849f, "_gpl");
SYMBOL_CRC(media_device_unregister, 0x264b3f5d, "_gpl");
SYMBOL_CRC(media_device_pci_init, 0x100b5dbd, "_gpl");
SYMBOL_CRC(__media_device_usb_init, 0x3656cdcc, "_gpl");
SYMBOL_CRC(media_entity_enum_init, 0xab40eae1, "_gpl");
SYMBOL_CRC(media_entity_enum_cleanup, 0xe5ceecd6, "_gpl");
SYMBOL_CRC(media_entity_pads_init, 0x8cdc95dc, "_gpl");
SYMBOL_CRC(media_graph_walk_init, 0x7db70607, "_gpl");
SYMBOL_CRC(media_graph_walk_cleanup, 0x96b7da0f, "_gpl");
SYMBOL_CRC(media_graph_walk_start, 0x75f14414, "_gpl");
SYMBOL_CRC(media_graph_walk_next, 0xac98ae49, "_gpl");
SYMBOL_CRC(__media_pipeline_start, 0xb20b06ea, "_gpl");
SYMBOL_CRC(media_pipeline_start, 0x28e7cc6d, "_gpl");
SYMBOL_CRC(__media_pipeline_stop, 0x72cd037d, "_gpl");
SYMBOL_CRC(media_pipeline_stop, 0x86e31473, "_gpl");
SYMBOL_CRC(media_pipeline_alloc_start, 0xf265e899, "_gpl");
SYMBOL_CRC(__media_pipeline_pad_iter_next, 0x2f6e4a20, "_gpl");
SYMBOL_CRC(media_pipeline_entity_iter_init, 0xe1c9562d, "_gpl");
SYMBOL_CRC(media_pipeline_entity_iter_cleanup, 0x65dd67e0, "_gpl");
SYMBOL_CRC(__media_pipeline_entity_iter_next, 0xbddfa2eb, "_gpl");
SYMBOL_CRC(media_get_pad_index, 0x3c419ec4, "_gpl");
SYMBOL_CRC(media_create_pad_link, 0xb16c23fb, "_gpl");
SYMBOL_CRC(media_create_pad_links, 0xa73cdef0, "_gpl");
SYMBOL_CRC(__media_entity_remove_links, 0xa3518b48, "_gpl");
SYMBOL_CRC(media_entity_remove_links, 0x0c6c7126, "_gpl");
SYMBOL_CRC(__media_entity_setup_link, 0xf7c7fd0a, "_gpl");
SYMBOL_CRC(media_entity_setup_link, 0xda4872ea, "_gpl");
SYMBOL_CRC(media_entity_find_link, 0x154c44b1, "_gpl");
SYMBOL_CRC(media_pad_remote_pad_first, 0xf917b6fb, "_gpl");
SYMBOL_CRC(media_entity_remote_pad_unique, 0xdb7af51a, "_gpl");
SYMBOL_CRC(media_pad_remote_pad_unique, 0x5a8878f6, "_gpl");
SYMBOL_CRC(media_entity_get_fwnode_pad, 0x3ee3f9af, "_gpl");
SYMBOL_CRC(media_entity_pipeline, 0x85b0d557, "_gpl");
SYMBOL_CRC(media_pad_pipeline, 0xcc5311f1, "_gpl");
SYMBOL_CRC(media_devnode_create, 0xeb408798, "_gpl");
SYMBOL_CRC(media_devnode_remove, 0xcf557806, "_gpl");
SYMBOL_CRC(media_create_intf_link, 0xd6cf90dd, "_gpl");
SYMBOL_CRC(__media_remove_intf_link, 0xd73c0b13, "_gpl");
SYMBOL_CRC(media_remove_intf_link, 0x9f5df6fc, "_gpl");
SYMBOL_CRC(__media_remove_intf_links, 0x654cd304, "_gpl");
SYMBOL_CRC(media_remove_intf_links, 0xcfe9a2a1, "_gpl");
SYMBOL_CRC(media_create_ancillary_link, 0x4e75c0e7, "_gpl");
SYMBOL_CRC(__media_entity_next_link, 0x877cc18b, "_gpl");
SYMBOL_CRC(media_request_put, 0x783cc72b, "_gpl");
SYMBOL_CRC(media_request_get_by_fd, 0xf4ba40e4, "_gpl");
SYMBOL_CRC(media_request_object_find, 0x7ca8dc3e, "_gpl");
SYMBOL_CRC(media_request_object_put, 0x409f3f86, "_gpl");
SYMBOL_CRC(media_request_object_init, 0x1f4ce35f, "_gpl");
SYMBOL_CRC(media_request_object_bind, 0x08a17ced, "_gpl");
SYMBOL_CRC(media_request_object_unbind, 0x61ae1c9b, "_gpl");
SYMBOL_CRC(media_request_object_complete, 0x6ffeb2d2, "_gpl");
SYMBOL_CRC(media_device_usb_allocate, 0xe9d89817, "_gpl");
SYMBOL_CRC(media_device_delete, 0xf78c9dbf, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc8dcc62a, "krealloc" },
	{ 0x759ae61f, "ida_alloc_range" },
	{ 0x4259f6b4, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xc4312f92, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x1bc4c506, "ida_destroy" },
	{ 0x2c20363a, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x7d87da58, "cdev_device_del" },
	{ 0x79453d1e, "rt_mutex_base_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x557d8693, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x74e954e7, "fd_install" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe3da0c90, "__wake_up" },
	{ 0xe15dd715, "get_device" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xe059620f, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x92997ed8, "_printk" },
	{ 0x372ba7ba, "cdev_device_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x19134c3a, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xc0ad6167, "fwnode_graph_parse_endpoint" },
	{ 0x3c22039d, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x10fee771, "device_create_file" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xa241f849, "bus_unregister" },
	{ 0x2e0563a, "fput" },
	{ 0xecafe6e, "_dev_err" },
	{ 0xa5fed0d4, "mutex_lock" },
	{ 0xf69b621, "ida_free" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xdcb764ad, "memset" },
	{ 0xcc3c416b, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x226f85d5, "__init_waitqueue_head" },
	{ 0x3173a661, "rt_spin_unlock" },
	{ 0x7687e44a, "rt_spin_lock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x45c9f85d, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x48be4af1, "platform_bus_type" },
	{ 0xd9d25957, "kobject_set_name" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x995c9240, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x79ff2cda, "__mutex_rt_init" },
	{ 0x3ff72adf, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x971e052e, "pci_bus_type" },
	{ 0x59abd70f, "kmalloc_caches" },
	{ 0x24092810, "device_remove_file" },
	{ 0xde16d4f4, "bus_register" },
	{ 0x62ac1cf0, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "53E3D798C82384C14394313");
MODULE_INFO(rhelversion, "9.7");
