#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ubi_do_get_device_info, "_gpl", "");
KSYMTAB_FUNC(ubi_get_device_info, "_gpl", "");
KSYMTAB_FUNC(ubi_get_volume_info, "_gpl", "");
KSYMTAB_FUNC(ubi_open_volume, "_gpl", "");
KSYMTAB_FUNC(ubi_open_volume_nm, "_gpl", "");
KSYMTAB_FUNC(ubi_open_volume_path, "_gpl", "");
KSYMTAB_FUNC(ubi_close_volume, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_read, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_read_sg, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_write, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_change, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_erase, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_unmap, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_map, "_gpl", "");
KSYMTAB_FUNC(ubi_is_mapped, "_gpl", "");
KSYMTAB_FUNC(ubi_sync, "_gpl", "");
KSYMTAB_FUNC(ubi_flush, "_gpl", "");
KSYMTAB_FUNC(ubi_register_volume_notifier, "_gpl", "");
KSYMTAB_FUNC(ubi_unregister_volume_notifier, "_gpl", "");

SYMBOL_CRC(ubi_do_get_device_info, 0x6c5626a7, "_gpl");
SYMBOL_CRC(ubi_get_device_info, 0x66011ab6, "_gpl");
SYMBOL_CRC(ubi_get_volume_info, 0xec96146b, "_gpl");
SYMBOL_CRC(ubi_open_volume, 0xe18142f5, "_gpl");
SYMBOL_CRC(ubi_open_volume_nm, 0xef051094, "_gpl");
SYMBOL_CRC(ubi_open_volume_path, 0x5abc9ecf, "_gpl");
SYMBOL_CRC(ubi_close_volume, 0xd00e7c2d, "_gpl");
SYMBOL_CRC(ubi_leb_read, 0xf8f37810, "_gpl");
SYMBOL_CRC(ubi_leb_read_sg, 0x8598c364, "_gpl");
SYMBOL_CRC(ubi_leb_write, 0x8ee05608, "_gpl");
SYMBOL_CRC(ubi_leb_change, 0x6a6b79d8, "_gpl");
SYMBOL_CRC(ubi_leb_erase, 0x7390397f, "_gpl");
SYMBOL_CRC(ubi_leb_unmap, 0x8367e32f, "_gpl");
SYMBOL_CRC(ubi_leb_map, 0x15edb3dc, "_gpl");
SYMBOL_CRC(ubi_is_mapped, 0xd4987865, "_gpl");
SYMBOL_CRC(ubi_sync, 0x42801d20, "_gpl");
SYMBOL_CRC(ubi_flush, 0x38e10c1d, "_gpl");
SYMBOL_CRC(ubi_register_volume_notifier, 0xf5ee9ba8, "_gpl");
SYMBOL_CRC(ubi_unregister_volume_notifier, 0x85a8ee76, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x760a0f4f, "yield" },
	{ 0x4259f6b4, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x746af48a, "__init_rwsem" },
	{ 0xc3556e63, "misc_deregister" },
	{ 0x57bb7a9c, "vfs_getattr" },
	{ 0xdf2c2742, "rb_last" },
	{ 0x2c20363a, "dev_set_name" },
	{ 0x7b416f6b, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x7d87da58, "cdev_device_del" },
	{ 0xfca97ecc, "device_unregister" },
	{ 0xca9360b5, "rb_next" },
	{ 0x79453d1e, "rt_mutex_base_init" },
	{ 0x557d8693, "device_initialize" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xae04012c, "__vmalloc" },
	{ 0x76d49ad4, "seq_lseek" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xf19364e, "kmem_cache_create" },
	{ 0xe15dd715, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x827231bc, "get_mtd_device_nm" },
	{ 0x174bb4cf, "path_put" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3558151a, "blocking_notifier_chain_register" },
	{ 0xa36fe58f, "get_mtd_device" },
	{ 0xf52e1195, "wake_up_process" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0x372ba7ba, "cdev_device_add" },
	{ 0x1000e51, "schedule" },
	{ 0x683aea8e, "blocking_notifier_call_chain" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x19134c3a, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x2be72e71, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xc6cbbc89, "capable" },
	{ 0x3c22039d, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xc3598e90, "cdev_add" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x54ca7da8, "mtd_block_markbad" },
	{ 0xd187deb0, "down_write" },
	{ 0x2c240268, "up_write" },
	{ 0x6d944118, "simple_open" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xa5fed0d4, "mutex_lock" },
	{ 0x19039db, "kmem_cache_free" },
	{ 0x63cd00b, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xfb0e40fc, "fixed_size_llseek" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x8e7902b8, "put_mtd_device" },
	{ 0x854f9fe1, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xd763d48b, "mtd_read" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xa7249ca6, "kthread_stop" },
	{ 0x419342e, "freezing_slow_path" },
	{ 0x2645c0c0, "device_register" },
	{ 0xdcb764ad, "memset" },
	{ 0x86624d18, "kern_path" },
	{ 0x1c406cb9, "misc_register" },
	{ 0xece784c2, "rb_first" },
	{ 0x3173a661, "rt_spin_unlock" },
	{ 0xe20d8667, "mtd_erase" },
	{ 0xa30fb4a9, "down_write_trylock" },
	{ 0xd55eb95e, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7687e44a, "rt_spin_lock" },
	{ 0x9c0d7a68, "kthread_create_on_node" },
	{ 0x547ed95e, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xae81e0c8, "mtd_write" },
	{ 0x7ef7c18e, "debugfs_create_file" },
	{ 0x720ffec3, "blocking_notifier_chain_unregister" },
	{ 0x999e8297, "vfree" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x85df9b6c, "strsep" },
	{ 0x45c9f85d, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x26357361, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xa092b4ea, "mtd_get_device_size" },
	{ 0x95b9fba0, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xfaf00de0, "seq_open" },
	{ 0x995c9240, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xb76d8526, "debugfs_create_dir" },
	{ 0x506c5e8a, "mtd_block_isbad" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x147b1b44, "up_read" },
	{ 0x79ff2cda, "__mutex_rt_init" },
	{ 0x433af131, "class_register" },
	{ 0x3ff72adf, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x59abd70f, "kmalloc_caches" },
	{ 0xdfd1b9fd, "cdev_del" },
	{ 0xffdbaa6f, "kmem_cache_destroy" },
	{ 0x62ac1cf0, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "18E06EF4ACF2803F0FC3B3A");
MODULE_INFO(rhelversion, "9.7");
