#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(can_put_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_free_echo_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canfd_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canxl_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_err_skb, "_gpl", "");
KSYMTAB_FUNC(can_dropped_invalid_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_state_str, "_gpl", "");
KSYMTAB_FUNC(can_state_get_by_berr_counter, "_gpl", "");
KSYMTAB_FUNC(can_change_state, "_gpl", "");
KSYMTAB_FUNC(can_bus_off, "_gpl", "");
KSYMTAB_FUNC(alloc_candev_mqs, "_gpl", "");
KSYMTAB_FUNC(free_candev, "_gpl", "");
KSYMTAB_FUNC(can_change_mtu, "_gpl", "");
KSYMTAB_FUNC(can_eth_ioctl_hwts, "", "");
KSYMTAB_FUNC(can_ethtool_op_get_ts_info_hwts, "", "");
KSYMTAB_FUNC(open_candev, "_gpl", "");
KSYMTAB_FUNC(of_can_transceiver, "_gpl", "");
KSYMTAB_FUNC(close_candev, "_gpl", "");
KSYMTAB_FUNC(register_candev, "_gpl", "");
KSYMTAB_FUNC(unregister_candev, "_gpl", "");
KSYMTAB_FUNC(safe_candev_priv, "_gpl", "");
KSYMTAB_FUNC(can_fd_dlc2len, "_gpl", "");
KSYMTAB_FUNC(can_fd_len2dlc, "_gpl", "");
KSYMTAB_FUNC(can_skb_get_frame_len, "_gpl", "");

SYMBOL_CRC(can_put_echo_skb, 0x9c94023c, "_gpl");
SYMBOL_CRC(can_get_echo_skb, 0x7b1e703d, "_gpl");
SYMBOL_CRC(can_free_echo_skb, 0x3c9d59a9, "_gpl");
SYMBOL_CRC(alloc_can_skb, 0x95a16bc7, "_gpl");
SYMBOL_CRC(alloc_canfd_skb, 0x847baf9b, "_gpl");
SYMBOL_CRC(alloc_canxl_skb, 0x3cbc48de, "_gpl");
SYMBOL_CRC(alloc_can_err_skb, 0x12ed4185, "_gpl");
SYMBOL_CRC(can_dropped_invalid_skb, 0x0b232354, "_gpl");
SYMBOL_CRC(can_get_state_str, 0x10d892eb, "_gpl");
SYMBOL_CRC(can_state_get_by_berr_counter, 0xda817ce7, "_gpl");
SYMBOL_CRC(can_change_state, 0xfe00ba4a, "_gpl");
SYMBOL_CRC(can_bus_off, 0xaf874811, "_gpl");
SYMBOL_CRC(alloc_candev_mqs, 0x9a165f84, "_gpl");
SYMBOL_CRC(free_candev, 0x93b9025d, "_gpl");
SYMBOL_CRC(can_change_mtu, 0xc1339601, "_gpl");
SYMBOL_CRC(can_eth_ioctl_hwts, 0x0a74efb4, "");
SYMBOL_CRC(can_ethtool_op_get_ts_info_hwts, 0x8886863e, "");
SYMBOL_CRC(open_candev, 0x7447609c, "_gpl");
SYMBOL_CRC(of_can_transceiver, 0xa0df2c77, "_gpl");
SYMBOL_CRC(close_candev, 0x062af425, "_gpl");
SYMBOL_CRC(register_candev, 0x0d83ff0e, "_gpl");
SYMBOL_CRC(unregister_candev, 0x4591617c, "_gpl");
SYMBOL_CRC(safe_candev_priv, 0x9d3a124b, "_gpl");
SYMBOL_CRC(can_fd_dlc2len, 0xf12d9387, "_gpl");
SYMBOL_CRC(can_fd_len2dlc, 0x6047ede6, "_gpl");
SYMBOL_CRC(can_skb_get_frame_len, 0x55496e43, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb1e15af8, "skb_put" },
	{ 0x943da422, "gpiod_set_value" },
	{ 0x63d6c6da, "skb_tstamp_tx" },
	{ 0x9e67a114, "of_property_read_variable_u32_array" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xb5907893, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc65e39b6, "unregister_netdev" },
	{ 0xac93c2c, "rtnl_link_register" },
	{ 0x6f47f12d, "netdev_warn" },
	{ 0x2e467150, "devm_gpiod_get_optional" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xea172fe1, "netdev_err" },
	{ 0x5a439164, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x9837d032, "device_property_read_u32_array" },
	{ 0xd690250c, "of_get_child_by_name" },
	{ 0x4de434e8, "rtnl_link_unregister" },
	{ 0x3b1ffa7d, "sk_skb_reason_drop" },
	{ 0x6e2b5444, "nla_put" },
	{ 0x9d377651, "register_netdev" },
	{ 0x88d57ca9, "free_netdev" },
	{ 0xdcb764ad, "memset" },
	{ 0xb2bf0ac4, "sock_efree" },
	{ 0xf0f132b1, "netif_rx" },
	{ 0x6e2083c2, "__netdev_alloc_skb" },
	{ 0x483e6034, "skb_trim" },
	{ 0x71de8260, "__dynamic_netdev_dbg" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0xdb95b4f8, "netif_carrier_off" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x54b31a, "skb_clone" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x48a87b72, "netif_carrier_on" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x2c96a33e, "dev_err_probe" },
	{ 0xa8266efb, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x150d5696, "skb_clone_tx_timestamp" },
	{ 0xb0299563, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x62ac1cf0, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1A01C30400C623AD7A56E46");
MODULE_INFO(rhelversion, "9.7");
