#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(at803x_debug_reg_read, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_mask, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_write, "_gpl", "");
KSYMTAB_FUNC(at803x_set_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_get_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_ack_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_config_intr, "_gpl", "");
KSYMTAB_FUNC(at803x_handle_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_read_specific_status, "_gpl", "");
KSYMTAB_FUNC(at803x_config_mdix, "_gpl", "");
KSYMTAB_FUNC(at803x_prepare_config_aneg, "_gpl", "");
KSYMTAB_FUNC(at803x_read_status, "_gpl", "");
KSYMTAB_FUNC(at803x_get_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_set_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_fault_length, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_start, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_wait_for_completion, "_gpl", "");
KSYMTAB_FUNC(qca808x_cable_test_get_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_enable, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_brightness_set, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_blink_set, "_gpl", "");

SYMBOL_CRC(at803x_debug_reg_read, 0x7966469c, "_gpl");
SYMBOL_CRC(at803x_debug_reg_mask, 0xf1d9e826, "_gpl");
SYMBOL_CRC(at803x_debug_reg_write, 0x3d5ff9d3, "_gpl");
SYMBOL_CRC(at803x_set_wol, 0xc247329f, "_gpl");
SYMBOL_CRC(at803x_get_wol, 0xfd527109, "_gpl");
SYMBOL_CRC(at803x_ack_interrupt, 0x1cff74e0, "_gpl");
SYMBOL_CRC(at803x_config_intr, 0x828cf5ec, "_gpl");
SYMBOL_CRC(at803x_handle_interrupt, 0xb57c1375, "_gpl");
SYMBOL_CRC(at803x_read_specific_status, 0x810f46c1, "_gpl");
SYMBOL_CRC(at803x_config_mdix, 0x315fd09c, "_gpl");
SYMBOL_CRC(at803x_prepare_config_aneg, 0x53320288, "_gpl");
SYMBOL_CRC(at803x_read_status, 0x101891a1, "_gpl");
SYMBOL_CRC(at803x_get_tunable, 0x05dd3591, "_gpl");
SYMBOL_CRC(at803x_set_tunable, 0x482b145f, "_gpl");
SYMBOL_CRC(at803x_cdt_fault_length, 0xede3878a, "_gpl");
SYMBOL_CRC(at803x_cdt_start, 0xdb52e628, "_gpl");
SYMBOL_CRC(at803x_cdt_wait_for_completion, 0xa6142cbe, "_gpl");
SYMBOL_CRC(qca808x_cable_test_get_status, 0xdfa53350, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_enable, 0x57603e56, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_status, 0xf04bb36e, "_gpl");
SYMBOL_CRC(qca808x_led_reg_brightness_set, 0x24d616b6, "_gpl");
SYMBOL_CRC(qca808x_led_reg_blink_set, 0x85cc8e33, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc8a3732b, "mdiobus_write" },
	{ 0x14a67b9d, "mdiobus_read" },
	{ 0x918d7aba, "phy_write_mmd" },
	{ 0xd1ee479e, "phy_modify" },
	{ 0xb8b3f9df, "phy_trigger_machine" },
	{ 0x99d70ca9, "phy_error" },
	{ 0xc43f03cf, "phy_modify_changed" },
	{ 0x927e0cec, "genphy_update_link" },
	{ 0xf4b02eed, "genphy_read_lpa" },
	{ 0x8877a38b, "phy_resolve_aneg_pause" },
	{ 0x60da2e56, "phy_init_hw" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xecafe6e, "_dev_err" },
	{ 0x9fa23d20, "phy_read_mmd" },
	{ 0x97488d3, "ethnl_cable_test_result_with_src" },
	{ 0xaf813b2f, "ethnl_cable_test_fault_length_with_src" },
	{ 0x4a0fc8ce, "phy_modify_mmd" },
	{ 0x39f89c1b, "genphy_soft_reset" },
	{ 0x62ac1cf0, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "771CD4DBC31CBCACC4F04AF");
MODULE_INFO(rhelversion, "9.7");
