#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wwan_get_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(wwan_put_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(wwan_create_port, "_gpl", "");
KSYMTAB_FUNC(wwan_remove_port, "_gpl", "");
KSYMTAB_FUNC(wwan_port_rx, "_gpl", "");
KSYMTAB_FUNC(wwan_port_txon, "_gpl", "");
KSYMTAB_FUNC(wwan_port_txoff, "_gpl", "");
KSYMTAB_FUNC(wwan_port_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(wwan_register_ops, "_gpl", "");
KSYMTAB_FUNC(wwan_unregister_ops, "_gpl", "");

SYMBOL_CRC(wwan_get_debugfs_dir, 0xa47c23a1, "_gpl");
SYMBOL_CRC(wwan_put_debugfs_dir, 0xb327b59e, "_gpl");
SYMBOL_CRC(wwan_create_port, 0xdd335103, "_gpl");
SYMBOL_CRC(wwan_remove_port, 0xb74c31cd, "_gpl");
SYMBOL_CRC(wwan_port_rx, 0x2b662caa, "_gpl");
SYMBOL_CRC(wwan_port_txon, 0x3d9bbf75, "_gpl");
SYMBOL_CRC(wwan_port_txoff, 0x4dff61e5, "_gpl");
SYMBOL_CRC(wwan_port_get_drvdata, 0x526bcf2a, "_gpl");
SYMBOL_CRC(wwan_register_ops, 0x7f19c70a, "_gpl");
SYMBOL_CRC(wwan_unregister_ops, 0x849e4e21, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x759ae61f, "ida_alloc_range" },
	{ 0x978ef3b3, "class_dev_iter_next" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x61432ba0, "__nlmsg_put" },
	{ 0xb1e15af8, "skb_put" },
	{ 0x2c20363a, "dev_set_name" },
	{ 0xb5907893, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xfca97ecc, "device_unregister" },
	{ 0xebf895af, "skb_dequeue" },
	{ 0x79453d1e, "rt_mutex_base_init" },
	{ 0x7381b1e8, "finish_wait" },
	{ 0xac93c2c, "rtnl_link_register" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x37a0cba, "kfree" },
	{ 0x6c23b3a2, "device_for_each_child" },
	{ 0x402f7a38, "prepare_to_wait_event" },
	{ 0xe3da0c90, "__wake_up" },
	{ 0x55186ff4, "rtnl_create_link" },
	{ 0xaaee4004, "unregister_netdevice_queue" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x73f056ca, "skb_queue_purge_reason" },
	{ 0x5a439164, "alloc_netdev_mqs" },
	{ 0x5cc18778, "class_dev_iter_exit" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x19134c3a, "put_device" },
	{ 0x88ad8d70, "__alloc_skb" },
	{ 0x5b58becb, "_dev_info" },
	{ 0x23418822, "skb_queue_tail" },
	{ 0xfeee76e8, "rtnl_configure_link" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4de434e8, "rtnl_link_unregister" },
	{ 0x87f88c7d, "init_net" },
	{ 0xfc032fc0, "skb_pull" },
	{ 0x3b1ffa7d, "sk_skb_reason_drop" },
	{ 0xd7b0ab22, "noop_llseek" },
	{ 0xa5fed0d4, "mutex_lock" },
	{ 0x63cd00b, "debugfs_remove" },
	{ 0x6e2b5444, "nla_put" },
	{ 0xf69b621, "ida_free" },
	{ 0x88d57ca9, "free_netdev" },
	{ 0x854f9fe1, "class_unregister" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x2795b4ce, "class_dev_iter_init" },
	{ 0x2645c0c0, "device_register" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xdcb764ad, "memset" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x226f85d5, "__init_waitqueue_head" },
	{ 0x3173a661, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7687e44a, "rt_spin_lock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x45c9f85d, "mutex_unlock" },
	{ 0x415f0115, "__register_chrdev" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6c735148, "stream_open" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x995c9240, "kmalloc_trace" },
	{ 0xaa308272, "device_find_child_by_name" },
	{ 0x98cf60b3, "strlen" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xb76d8526, "debugfs_create_dir" },
	{ 0x79ff2cda, "__mutex_rt_init" },
	{ 0x433af131, "class_register" },
	{ 0x59abd70f, "kmalloc_caches" },
	{ 0x8b228de, "skb_queue_head" },
	{ 0x941dc467, "class_find_device" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x141d79b3, "register_netdevice" },
	{ 0x62ac1cf0, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3549841979CC29F5D1EEDEF");
MODULE_INFO(rhelversion, "9.7");
