#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fat_search_long, "_gpl", "");
KSYMTAB_FUNC(fat_get_dotdot_entry, "_gpl", "");
KSYMTAB_FUNC(fat_dir_empty, "_gpl", "");
KSYMTAB_FUNC(fat_scan, "_gpl", "");
KSYMTAB_FUNC(fat_remove_entries, "_gpl", "");
KSYMTAB_FUNC(fat_alloc_new_dir, "_gpl", "");
KSYMTAB_FUNC(fat_add_entries, "_gpl", "");
KSYMTAB_FUNC(fat_free_clusters, "_gpl", "");
KSYMTAB_FUNC(fat_getattr, "_gpl", "");
KSYMTAB_FUNC(fat_setattr, "_gpl", "");
KSYMTAB_FUNC(fat_attach, "_gpl", "");
KSYMTAB_FUNC(fat_detach, "_gpl", "");
KSYMTAB_FUNC(fat_build_inode, "_gpl", "");
KSYMTAB_FUNC(fat_sync_inode, "_gpl", "");
KSYMTAB_FUNC(fat_fill_super, "_gpl", "");
KSYMTAB_FUNC(fat_flush_inodes, "_gpl", "");
KSYMTAB_FUNC(__fat_fs_error, "_gpl", "");
KSYMTAB_FUNC(fat_time_fat2unix, "_gpl", "");
KSYMTAB_FUNC(fat_time_unix2fat, "_gpl", "");
KSYMTAB_FUNC(fat_truncate_time, "_gpl", "");
KSYMTAB_FUNC(fat_update_time, "_gpl", "");

SYMBOL_CRC(fat_search_long, 0x31a60c7f, "_gpl");
SYMBOL_CRC(fat_get_dotdot_entry, 0x1ae4198d, "_gpl");
SYMBOL_CRC(fat_dir_empty, 0x2ddf49c0, "_gpl");
SYMBOL_CRC(fat_scan, 0x566c53cf, "_gpl");
SYMBOL_CRC(fat_remove_entries, 0x472a0c68, "_gpl");
SYMBOL_CRC(fat_alloc_new_dir, 0x6789b7d8, "_gpl");
SYMBOL_CRC(fat_add_entries, 0xb3c5da2a, "_gpl");
SYMBOL_CRC(fat_free_clusters, 0xf9a94f9a, "_gpl");
SYMBOL_CRC(fat_getattr, 0x8580cf04, "_gpl");
SYMBOL_CRC(fat_setattr, 0x4a2d3e96, "_gpl");
SYMBOL_CRC(fat_attach, 0x6fce39c7, "_gpl");
SYMBOL_CRC(fat_detach, 0x52f0c1f6, "_gpl");
SYMBOL_CRC(fat_build_inode, 0x31558661, "_gpl");
SYMBOL_CRC(fat_sync_inode, 0x4206ad71, "_gpl");
SYMBOL_CRC(fat_fill_super, 0x9d343f29, "_gpl");
SYMBOL_CRC(fat_flush_inodes, 0xa8ed9a09, "_gpl");
SYMBOL_CRC(__fat_fs_error, 0x2ed38efd, "_gpl");
SYMBOL_CRC(fat_time_fat2unix, 0x7cd09ee8, "_gpl");
SYMBOL_CRC(fat_time_unix2fat, 0x2a939354, "_gpl");
SYMBOL_CRC(fat_truncate_time, 0xb7ebf8bf, "_gpl");
SYMBOL_CRC(fat_update_time, 0x0ab7f51e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb5019f31, "filemap_fdatawrite" },
	{ 0x2cd11189, "generic_fillattr" },
	{ 0x9608ab2b, "setattr_prepare" },
	{ 0x1699c099, "generic_block_bmap" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x746af48a, "__init_rwsem" },
	{ 0x837fee9c, "sync_blockdev_nowait" },
	{ 0x50083fd3, "make_vfsgid" },
	{ 0x9ad3cd51, "blk_start_plug" },
	{ 0xa342d448, "clear_inode" },
	{ 0x655492e7, "generic_fh_to_dentry" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0xfb33a936, "generic_file_splice_read" },
	{ 0x87e55ae9, "new_inode" },
	{ 0xc3d0d4ba, "mark_buffer_dirty" },
	{ 0xf15b9145, "security_inode_setattr" },
	{ 0xeea0ebe9, "__find_get_block" },
	{ 0x375bb1b1, "filemap_fdatawrite_range" },
	{ 0x79453d1e, "rt_mutex_base_init" },
	{ 0x1399f6ff, "inode_needs_sync" },
	{ 0x4d393bbb, "__blockdev_direct_IO" },
	{ 0x6dacd9e8, "d_make_root" },
	{ 0x16f93b86, "__bforget" },
	{ 0x3292d6b3, "sb_set_blocksize" },
	{ 0xf61a57f8, "block_truncate_page" },
	{ 0xf344184b, "write_dirty_buffer" },
	{ 0x503ef3d, "sync_filesystem" },
	{ 0xb8b34c67, "fsnotify" },
	{ 0x3d2ec046, "current_time" },
	{ 0x4829a47e, "memcpy" },
	{ 0xda32e4cc, "from_vfsuid" },
	{ 0x7e4acec2, "inode_dio_wait" },
	{ 0x13632e04, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0x6ade5ee1, "cont_write_begin" },
	{ 0x88020481, "iput" },
	{ 0x65609429, "iter_file_splice_write" },
	{ 0x51abbb9f, "generic_file_write_iter" },
	{ 0xf19364e, "kmem_cache_create" },
	{ 0x2b045686, "sync_inode_metadata" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x95a74fe0, "make_vfsuid" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x43a271e4, "mnt_want_write_file" },
	{ 0x92997ed8, "_printk" },
	{ 0x7c8b395, "block_invalidate_folio" },
	{ 0xb07e1c62, "__breadahead" },
	{ 0x73bb870d, "generic_write_end" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8a11733d, "load_nls" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xea3c9303, "generic_cont_expand_simple" },
	{ 0x80abed8b, "make_kuid" },
	{ 0x9a9f74ae, "truncate_inode_pages_final" },
	{ 0xfdaea7d, "block_write_full_page" },
	{ 0x67d3098c, "generic_file_mmap" },
	{ 0x9c3e64b, "sync_mapping_buffers" },
	{ 0xf3a3447b, "ilookup" },
	{ 0x2be72e71, "kmem_cache_alloc" },
	{ 0x58f7839e, "invalidate_inode_buffers" },
	{ 0x513540af, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0xa242ac0b, "mnt_drop_write_file" },
	{ 0x8e5bc549, "inode_init_once" },
	{ 0xb8ace4b3, "__fsnotify_parent" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0xcc2be01d, "__brelse" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xd187deb0, "down_write" },
	{ 0x2c240268, "up_write" },
	{ 0xdb11635a, "generic_file_read_iter" },
	{ 0x75bee3ea, "inode_maybe_inc_iversion" },
	{ 0x4e3567f7, "match_int" },
	{ 0x9383dabd, "truncate_pagecache" },
	{ 0xa17439a2, "sync_dirty_buffer" },
	{ 0xf3aef327, "setattr_copy" },
	{ 0xaa4266bb, "__wait_on_buffer" },
	{ 0x9ccb240c, "set_nlink" },
	{ 0xa5fed0d4, "mutex_lock" },
	{ 0x19039db, "kmem_cache_free" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x5a921311, "strncmp" },
	{ 0x79cdd371, "mpage_writepages" },
	{ 0xf1e046cc, "panic" },
	{ 0x47e1fdb0, "from_vfsgid" },
	{ 0xe04e98a6, "write_inode_now" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x6a1c468f, "d_obtain_alias" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x8f0bce12, "__bread_gfp" },
	{ 0x544a994c, "block_dirty_folio" },
	{ 0xb47f5327, "mpage_read_folio" },
	{ 0xdcb764ad, "memset" },
	{ 0x788f59cd, "__insert_inode_hash" },
	{ 0x5784f643, "make_kgid" },
	{ 0x3173a661, "rt_spin_unlock" },
	{ 0x47f573ab, "from_kgid_munged" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd55eb95e, "down_read" },
	{ 0x7687e44a, "rt_spin_lock" },
	{ 0xe82a7c64, "truncate_setsize" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xbc9ccbeb, "unlock_buffer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xeaf1022b, "igrab" },
	{ 0xecccd603, "__getblk_gfp" },
	{ 0x63b53ec8, "generic_read_dir" },
	{ 0x85df9b6c, "strsep" },
	{ 0x45c9f85d, "mutex_unlock" },
	{ 0xfd065341, "mpage_readahead" },
	{ 0x4058738b, "filemap_fdatawait_range" },
	{ 0x3096be16, "names_cachep" },
	{ 0x9dd1af26, "init_user_ns" },
	{ 0x44e9a829, "match_token" },
	{ 0x26357361, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0xce23c2e7, "__lock_buffer" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xacf4d843, "match_strdup" },
	{ 0xed7556e0, "blkdev_issue_flush" },
	{ 0x95b9fba0, "seq_puts" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xc532eade, "generic_fh_to_parent" },
	{ 0x815b5dd4, "match_octal" },
	{ 0xa07284a0, "from_kuid_munged" },
	{ 0x995c9240, "kmalloc_trace" },
	{ 0xf3ca7aed, "__generic_file_fsync" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x99a17613, "kmem_cache_alloc_lru" },
	{ 0xe13f455a, "__mark_inode_dirty" },
	{ 0x85cce230, "generic_file_llseek" },
	{ 0x62de24fe, "unload_nls" },
	{ 0x147b1b44, "up_read" },
	{ 0x8bbeaff2, "mark_buffer_dirty_inode" },
	{ 0x79ff2cda, "__mutex_rt_init" },
	{ 0xb83d8910, "sb_min_blocksize" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0x59abd70f, "kmalloc_caches" },
	{ 0xffdbaa6f, "kmem_cache_destroy" },
	{ 0x6fb3cecf, "blkdev_issue_discard" },
	{ 0x62ac1cf0, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0DF33C03A1CFD5AA6EBC33C");
MODULE_INFO(rhelversion, "9.7");
