#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fuse_len_args, "_gpl", "");
KSYMTAB_FUNC(fuse_get_unique, "_gpl", "");
KSYMTAB_DATA(fuse_dev_fiq_ops, "_gpl", "");
KSYMTAB_FUNC(fuse_request_end, "_gpl", "");
KSYMTAB_FUNC(fuse_simple_background, "_gpl", "");
KSYMTAB_FUNC(fuse_dequeue_forget, "", "");
KSYMTAB_FUNC(fuse_abort_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_release, "_gpl", "");
KSYMTAB_DATA(fuse_dev_operations, "_gpl", "");
KSYMTAB_FUNC(fuse_do_open, "_gpl", "");
KSYMTAB_FUNC(fuse_sync_release, "_gpl", "");
KSYMTAB_FUNC(fuse_direct_io, "_gpl", "");
KSYMTAB_FUNC(fuse_file_poll, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_init, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_put, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_get, "_gpl", "");
KSYMTAB_FUNC(fuse_send_init, "_gpl", "");
KSYMTAB_FUNC(fuse_free_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_free, "_gpl", "");
KSYMTAB_FUNC(fuse_init_fs_context_submount, "_gpl", "");
KSYMTAB_FUNC(fuse_fill_super_common, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_remove, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_destroy, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_destroy, "", "");
KSYMTAB_FUNC(fuse_do_ioctl, "_gpl", "");

SYMBOL_CRC(fuse_len_args, 0xdd626ee3, "_gpl");
SYMBOL_CRC(fuse_get_unique, 0x5ff66835, "_gpl");
SYMBOL_CRC(fuse_dev_fiq_ops, 0x58d0ac39, "_gpl");
SYMBOL_CRC(fuse_request_end, 0x87a91b1e, "_gpl");
SYMBOL_CRC(fuse_simple_background, 0x366ee232, "_gpl");
SYMBOL_CRC(fuse_dequeue_forget, 0x7625703c, "");
SYMBOL_CRC(fuse_abort_conn, 0xe3bfb18c, "_gpl");
SYMBOL_CRC(fuse_dev_release, 0x1e5f1ab2, "_gpl");
SYMBOL_CRC(fuse_dev_operations, 0x74d2cf45, "_gpl");
SYMBOL_CRC(fuse_do_open, 0xb4391b01, "_gpl");
SYMBOL_CRC(fuse_sync_release, 0x407c7733, "_gpl");
SYMBOL_CRC(fuse_direct_io, 0xf56b6e81, "_gpl");
SYMBOL_CRC(fuse_file_poll, 0x1ba07473, "_gpl");
SYMBOL_CRC(fuse_conn_init, 0x4c3c5f21, "_gpl");
SYMBOL_CRC(fuse_conn_put, 0x3742676e, "_gpl");
SYMBOL_CRC(fuse_conn_get, 0x4d0150d7, "_gpl");
SYMBOL_CRC(fuse_send_init, 0x2ee8845b, "_gpl");
SYMBOL_CRC(fuse_free_conn, 0xeb336be6, "_gpl");
SYMBOL_CRC(fuse_dev_alloc, 0xfc50fed9, "_gpl");
SYMBOL_CRC(fuse_dev_install, 0x570440c3, "_gpl");
SYMBOL_CRC(fuse_dev_alloc_install, 0xe0ff1dc2, "_gpl");
SYMBOL_CRC(fuse_dev_free, 0xe42dbf98, "_gpl");
SYMBOL_CRC(fuse_init_fs_context_submount, 0xfa475684, "_gpl");
SYMBOL_CRC(fuse_fill_super_common, 0x21ec0b06, "_gpl");
SYMBOL_CRC(fuse_mount_remove, 0x7ec93dab, "_gpl");
SYMBOL_CRC(fuse_conn_destroy, 0x1e6a9cd0, "_gpl");
SYMBOL_CRC(fuse_mount_destroy, 0xef83fe15, "");
SYMBOL_CRC(fuse_do_ioctl, 0x22726d2a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa4ea6414, "super_setup_bdi_name" },
	{ 0xf5b91269, "posix_test_lock" },
	{ 0x510c23df, "truncate_inode_pages" },
	{ 0x27a6a8c6, "generic_copy_file_range" },
	{ 0xd99787c3, "noop_backing_dev_info" },
	{ 0xe914e41e, "strcpy" },
	{ 0xcd76f123, "pipe_lock" },
	{ 0x2cd11189, "generic_fillattr" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xed9981af, "vfs_fsync_range" },
	{ 0x9608ab2b, "setattr_prepare" },
	{ 0x6e58d0f3, "clear_nlink" },
	{ 0x5e29ca7f, "file_check_and_advance_wb_err" },
	{ 0x1fd0a0e3, "d_alloc_parallel" },
	{ 0x1e6f68db, "flush_dcache_page" },
	{ 0x746af48a, "__init_rwsem" },
	{ 0xb5c44baf, "d_instantiate" },
	{ 0x3c185c61, "page_put_link" },
	{ 0xc3556e63, "misc_deregister" },
	{ 0x50083fd3, "make_vfsgid" },
	{ 0xa342d448, "clear_inode" },
	{ 0x16d179e7, "inode_to_bdi" },
	{ 0x11a01ff3, "find_pid_ns" },
	{ 0xe9eb86da, "grab_cache_page_write_begin" },
	{ 0x8d73ffaf, "simple_dir_inode_operations" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x204025e9, "pipe_unlock" },
	{ 0xcb404139, "fs_param_is_string" },
	{ 0x84d0a8a, "folio_unlock" },
	{ 0xfb33a936, "generic_file_splice_read" },
	{ 0x87e55ae9, "new_inode" },
	{ 0xddd679e, "filemap_map_pages" },
	{ 0xa6257a2f, "complete" },
	{ 0x647e94f7, "dump_page" },
	{ 0xbbb4eebd, "forget_all_cached_acls" },
	{ 0x7106dc83, "init_special_inode" },
	{ 0xa6d978b2, "unregister_filesystem" },
	{ 0x8538ee12, "task_active_pid_ns" },
	{ 0x69ac1a3f, "iov_iter_single_seg_count" },
	{ 0x52db0553, "retire_super" },
	{ 0xca9360b5, "rb_next" },
	{ 0x79453d1e, "rt_mutex_base_init" },
	{ 0x7381b1e8, "finish_wait" },
	{ 0x97abdaa9, "d_alloc_name" },
	{ 0xdbdb617a, "replace_page_cache_folio" },
	{ 0x783a113e, "inode_query_iversion" },
	{ 0x9c670ce4, "iov_iter_advance" },
	{ 0xf15718a9, "kill_fasync" },
	{ 0x6dacd9e8, "d_make_root" },
	{ 0x3292d6b3, "sb_set_blocksize" },
	{ 0x96e59f2f, "fget" },
	{ 0x84102408, "simple_fill_super" },
	{ 0xff463227, "xas_find" },
	{ 0x71acd7d8, "invalidate_mapping_pages" },
	{ 0x503ef3d, "sync_filesystem" },
	{ 0x2a5f025f, "sget_fc" },
	{ 0x44a812a1, "param_set_uint" },
	{ 0xf2563b7a, "d_splice_alias" },
	{ 0xbc4fa320, "iov_iter_get_pages2" },
	{ 0x3d2ec046, "current_time" },
	{ 0x4829a47e, "memcpy" },
	{ 0xe31a8f20, "page_get_link" },
	{ 0x60629f3e, "generic_permission" },
	{ 0xfa003b5, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eca57c8, "invalidate_inode_pages2_range" },
	{ 0x600a21ea, "posix_lock_file" },
	{ 0x62ed0b81, "finish_open" },
	{ 0x88020481, "iput" },
	{ 0xe953b21f, "get_next_ino" },
	{ 0x88f12946, "logfc" },
	{ 0x65609429, "iter_file_splice_write" },
	{ 0x402f7a38, "prepare_to_wait_event" },
	{ 0x2018280b, "init_pid_ns" },
	{ 0x11cc5123, "iov_iter_init" },
	{ 0xb6038cef, "d_lookup" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0xc2eaa462, "sysfs_create_mount_point" },
	{ 0x51abbb9f, "generic_file_write_iter" },
	{ 0xe3da0c90, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x62e6b869, "register_filesystem" },
	{ 0xf19364e, "kmem_cache_create" },
	{ 0x83ebefde, "folio_add_lru" },
	{ 0xafe0374a, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x2b045686, "sync_inode_metadata" },
	{ 0x2f5ec482, "simple_empty" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x91c6289d, "vfs_setpos" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0x9fc1b4ee, "shrink_dcache_parent" },
	{ 0xf354bd24, "get_tree_nodev" },
	{ 0xcb2bab59, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xdb8d8117, "fs_param_is_u32" },
	{ 0x8ac82925, "inode_newsize_ok" },
	{ 0xc9197199, "d_drop" },
	{ 0xa96430b1, "kill_block_super" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0x781ef467, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x3d9ee9f0, "clear_page" },
	{ 0xf1d8ee26, "bdi_put" },
	{ 0x5afb4657, "posix_acl_from_xattr" },
	{ 0x1000e51, "schedule" },
	{ 0xe9cd0dcd, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x80abed8b, "make_kuid" },
	{ 0x9a9f74ae, "truncate_inode_pages_final" },
	{ 0x2fe4d9cd, "fs_kobj" },
	{ 0xe397a429, "__filemap_set_wb_err" },
	{ 0x87ad2189, "simple_dir_operations" },
	{ 0x67d3098c, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0x2da5784a, "__free_pages" },
	{ 0x2be72e71, "kmem_cache_alloc" },
	{ 0xa683f7cc, "put_pid_ns" },
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0x23445517, "setattr_should_drop_suidgid" },
	{ 0x44d6bf1e, "capable_wrt_inode_uidgid" },
	{ 0xc6cbbc89, "capable" },
	{ 0x5e80529d, "copy_page_from_iter_atomic" },
	{ 0x94c895c0, "fs_context_for_submount" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x8e5bc549, "inode_init_once" },
	{ 0xb8d07e54, "file_write_and_wait_range" },
	{ 0xc4d5721d, "nosteal_pipe_buf_ops" },
	{ 0x41f87c3a, "ilookup5" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xd401e5d2, "inode_nohighmem" },
	{ 0x1ba79c79, "copy_highpage" },
	{ 0x5430d0e, "release_pages" },
	{ 0xb0bacc66, "generic_file_direct_write" },
	{ 0x2e0563a, "fput" },
	{ 0x49608959, "migrate_disable" },
	{ 0xd187deb0, "down_write" },
	{ 0x2c240268, "up_write" },
	{ 0xdb11635a, "generic_file_read_iter" },
	{ 0x75bee3ea, "inode_maybe_inc_iversion" },
	{ 0x1c92b082, "unlock_page" },
	{ 0x8e372c34, "inc_node_page_state" },
	{ 0xa07a37f0, "memchr" },
	{ 0x9383dabd, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6b28c21e, "put_fs_context" },
	{ 0xb5b63711, "fileattr_fill_xflags" },
	{ 0x67503c23, "dec_node_page_state" },
	{ 0xedc69657, "write_cache_pages" },
	{ 0xcc1e443e, "file_update_time" },
	{ 0x9ccb240c, "set_nlink" },
	{ 0xa5fed0d4, "mutex_lock" },
	{ 0x19039db, "kmem_cache_free" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0xc32db3fb, "from_kgid" },
	{ 0xf77ae9eb, "fasync_helper" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x317ec0af, "file_remove_privs" },
	{ 0xe04e98a6, "write_inode_now" },
	{ 0x6a1c468f, "d_obtain_alias" },
	{ 0x1f037076, "file_modified" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf4fbfa5a, "copy_page_to_iter" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x3969639e, "finish_no_open" },
	{ 0x516bafeb, "__folio_start_writeback" },
	{ 0xa0e5d7c1, "kill_litter_super" },
	{ 0x921b327a, "folio_end_writeback" },
	{ 0x9530c1d9, "from_kuid" },
	{ 0x2d83d657, "current_in_userns" },
	{ 0x26aaf955, "fc_mount" },
	{ 0xdcb764ad, "memset" },
	{ 0x844739c7, "sysfs_remove_mount_point" },
	{ 0x1c406cb9, "misc_register" },
	{ 0xdf93b9d8, "timespec64_to_jiffies" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x226f85d5, "__init_waitqueue_head" },
	{ 0x5784f643, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0xda75b451, "d_delete" },
	{ 0x3173a661, "rt_spin_unlock" },
	{ 0x47f573ab, "from_kgid_munged" },
	{ 0x9514271e, "end_page_writeback" },
	{ 0xd4018d7b, "kobject_create_and_add" },
	{ 0xd55eb95e, "down_read" },
	{ 0x7687e44a, "rt_spin_lock" },
	{ 0xfe3a73e0, "wb_writeout_inc" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d80fbfd, "nonseekable_open" },
	{ 0x8eb0e5ce, "set_page_dirty" },
	{ 0x1c2ba690, "copy_page_from_iter" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x41e0a46c, "redirty_page_for_writepage" },
	{ 0xeaf1022b, "igrab" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x63b53ec8, "generic_read_dir" },
	{ 0x7c0efd4b, "d_add" },
	{ 0x8d5872d6, "set_page_writeback" },
	{ 0x45c9f85d, "mutex_unlock" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x9dd1af26, "init_user_ns" },
	{ 0x6fe38588, "d_find_alias" },
	{ 0x755e39ff, "invalidate_inode_pages2" },
	{ 0x125c0fa, "alloc_pages" },
	{ 0x9584f424, "inc_nlink" },
	{ 0xd95ad478, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4f7951ff, "get_tree_bdev" },
	{ 0x306c3c56, "set_anon_super_fc" },
	{ 0x26357361, "seq_printf" },
	{ 0x9adaa8d4, "dput" },
	{ 0xe47450bc, "lockref_get" },
	{ 0xdf0969de, "generic_delete_inode" },
	{ 0x662f4a15, "deactivate_locked_super" },
	{ 0x50ae86cb, "touch_atime" },
	{ 0xe1e06b95, "__d_lookup_unhash_wake" },
	{ 0x932b3d03, "set_page_dirty_lock" },
	{ 0x920da901, "pid_nr_ns" },
	{ 0xb6825cb4, "generic_file_open" },
	{ 0xe79fbba0, "truncate_inode_pages_range" },
	{ 0x38a3a256, "__put_user_ns" },
	{ 0xc3e59cbb, "__folio_lock" },
	{ 0x27278066, "filemap_dirty_folio" },
	{ 0x2688c66e, "pagecache_get_page" },
	{ 0x95b9fba0, "seq_puts" },
	{ 0x6c735148, "stream_open" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0x93f7af6d, "__wake_up_sync" },
	{ 0xd248ef8, "add_to_pipe" },
	{ 0xc97c6162, "__fs_parse" },
	{ 0xa45a2f62, "posix_acl_to_xattr" },
	{ 0xdc23bace, "dget_parent" },
	{ 0x195c01b5, "kill_anon_super" },
	{ 0xa07284a0, "from_kuid_munged" },
	{ 0xafc08054, "dotdot_name" },
	{ 0x995c9240, "kmalloc_trace" },
	{ 0xa15994b2, "iget5_locked" },
	{ 0x99a93a48, "security_dentry_init_security" },
	{ 0x6eafe8b4, "filemap_write_and_wait_range" },
	{ 0x99ead5bc, "get_tree_single" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x98cf60b3, "strlen" },
	{ 0x706adf2c, "generic_write_checks" },
	{ 0x6de59ab3, "iov_iter_revert" },
	{ 0x95fd90b6, "__remove_inode_hash" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xe70a6dec, "mntget" },
	{ 0x99a17613, "kmem_cache_alloc_lru" },
	{ 0xc4a41fd1, "filemap_fault" },
	{ 0x11394994, "d_invalidate" },
	{ 0xe13f455a, "__mark_inode_dirty" },
	{ 0x85cce230, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x147b1b44, "up_read" },
	{ 0x79ff2cda, "__mutex_rt_init" },
	{ 0x65e5105e, "iov_iter_npages" },
	{ 0xfaa4f9f, "drop_nlink" },
	{ 0x9233e0da, "fault_in_iov_iter_readable" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x49778eba, "filemap_check_errors" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x59abd70f, "kmalloc_caches" },
	{ 0xe074b66, "bdi_set_max_ratio" },
	{ 0xffdbaa6f, "kmem_cache_destroy" },
	{ 0x5db432aa, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x62ac1cf0, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7DBF81E138208D31B51FCD0");
MODULE_INFO(rhelversion, "9.7");
