#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nfs4_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_setup_sequence, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_rw_stateid, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_migration_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_moved_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_stateid_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs_remove_bad_delegation, "_gpl", "");
KSYMTAB_FUNC(nfs_map_string_to_numeric, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_ds_client, "_gpl", "");

SYMBOL_CRC(nfs4_sequence_done, 0x9c28f6ab, "_gpl");
SYMBOL_CRC(nfs4_setup_sequence, 0xdccc75f2, "_gpl");
SYMBOL_CRC(nfs4_set_rw_stateid, 0x7e3353a9, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_recovery, 0xc9ff7d20, "_gpl");
SYMBOL_CRC(nfs4_schedule_migration_recovery, 0x80773f91, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_moved_recovery, 0x358c207f, "_gpl");
SYMBOL_CRC(nfs4_schedule_stateid_recovery, 0xddfa35a7, "_gpl");
SYMBOL_CRC(nfs_remove_bad_delegation, 0xeee4a475, "_gpl");
SYMBOL_CRC(nfs_map_string_to_numeric, 0x6085edbd, "_gpl");
SYMBOL_CRC(nfs4_set_ds_client, 0x6226b509, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1eaab644, "rpc_put_task" },
	{ 0x89ac8c8e, "svc_generic_rpcbind_set" },
	{ 0x1c2e4390, "nfs_clone_server" },
	{ 0xcdfe463d, "nfs_access_add_cache" },
	{ 0xe914e41e, "strcpy" },
	{ 0xb5019f31, "filemap_fdatawrite" },
	{ 0x8ccbf802, "nfs_show_stats" },
	{ 0x759ae61f, "ida_alloc_range" },
	{ 0x843a967a, "nfs_server_remove_lists" },
	{ 0xb142e54, "generic_listxattr" },
	{ 0xc846576e, "revert_creds" },
	{ 0xbe21e74e, "nfs_writeback_update_inode" },
	{ 0xa342d448, "clear_inode" },
	{ 0xf5487424, "bpf_trace_run4" },
	{ 0x7609f893, "user_destroy" },
	{ 0xdb51e2d1, "idr_find" },
	{ 0x5ab954, "param_ops_uint" },
	{ 0x41c0fa81, "user_revoke" },
	{ 0x50c69105, "d_exact_alias" },
	{ 0xca97797b, "nfs_alloc_client" },
	{ 0xc23d2b1b, "register_sysctl" },
	{ 0xdae9b5d7, "nfs4_disable_idmapping" },
	{ 0xcf78188b, "nfs_mark_client_ready" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x10c9b048, "xdr_write_pages" },
	{ 0x2b9f1f23, "rpc_shutdown_client" },
	{ 0xc4313313, "svc_bind" },
	{ 0x51772766, "nfs_d_prune_case_insensitive_aliases" },
	{ 0x40739385, "nfs_wait_bit_killable" },
	{ 0x297d34c7, "nfs_free_inode" },
	{ 0x75068b3d, "nfs_access_zap_cache" },
	{ 0xcc371ccd, "nfs_sb_deactive" },
	{ 0x993a4aa1, "nfs_wb_all" },
	{ 0xfb33a936, "generic_file_splice_read" },
	{ 0x9c79494e, "__break_lease" },
	{ 0xbfe7f7e2, "svc_recv" },
	{ 0x611c56c9, "nfs_drop_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc0eda56, "xdr_inline_decode" },
	{ 0x7f81136b, "trace_raw_output_prep" },
	{ 0xb4269afc, "nfs_wait_client_init_complete" },
	{ 0xca9360b5, "rb_next" },
	{ 0x1d39322d, "rpc_net_ns" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x79453d1e, "rt_mutex_base_init" },
	{ 0xa6dd5b8b, "nfs_mknod" },
	{ 0xbb07e94c, "nfs_inode_attach_open_context" },
	{ 0x7381b1e8, "finish_wait" },
	{ 0x521b53ce, "rpc_localaddr" },
	{ 0xf1f31964, "rpc_wake_up" },
	{ 0x85b1e275, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x72d40977, "idr_replace" },
	{ 0x1fc58fc0, "nfs_lock" },
	{ 0x59260302, "unregister_key_type" },
	{ 0xaec1beac, "nfs_client_init_is_complete" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xf2563b7a, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x8014a09f, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x5388a90b, "trace_event_raw_init" },
	{ 0x1e424d61, "user_preparse" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0x8b398a61, "ihold" },
	{ 0x7af7e84, "rpc_peeraddr" },
	{ 0x37a0cba, "kfree" },
	{ 0x202000df, "nfs_post_op_update_inode" },
	{ 0x6893c911, "svc_exit_thread" },
	{ 0x88020481, "iput" },
	{ 0x88f12946, "logfc" },
	{ 0x65609429, "iter_file_splice_write" },
	{ 0x3ca44eac, "rpc_pton" },
	{ 0xa1aa6538, "nfs_sb_active" },
	{ 0x1f2a9970, "rpc_ntop" },
	{ 0x8cb7f17b, "rpc_wake_up_queued_task" },
	{ 0x6d33c6c2, "bpf_trace_run2" },
	{ 0x402f7a38, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x1e119a79, "rpcauth_get_pseudoflavor" },
	{ 0x529a2d36, "rpc_restart_call_prepare" },
	{ 0x248d5199, "event_triggers_call" },
	{ 0xe3da0c90, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xce083197, "_copy_from_pages" },
	{ 0x7a716b1b, "__module_get" },
	{ 0xc84ed1f, "rpc_task_release_transport" },
	{ 0xa8e1c066, "xdr_page_pos" },
	{ 0xe6a70907, "nfs_file_release" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x2728cab9, "key_instantiate_and_link" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x3539f11b, "match_strlcpy" },
	{ 0x5170c6e, "xdr_read_pages" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0x835a7564, "register_key_type" },
	{ 0x3577b8b2, "rpc_sleep_on" },
	{ 0x7534e407, "rpc_run_task" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xff5bcf2b, "keyring_alloc" },
	{ 0xa32fe4be, "nfs_create" },
	{ 0x770fcbfa, "complete_request_key" },
	{ 0x812f3b1f, "__put_cred" },
	{ 0x8810e108, "nfs_update_delegated_mtime" },
	{ 0x4d9d0231, "nfs_statfs" },
	{ 0xf52e1195, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0xfeb9d759, "trace_event_buffer_commit" },
	{ 0x584b8482, "nfs_inc_attr_generation_counter" },
	{ 0x90a5530f, "nfsiod_workqueue" },
	{ 0xcb2bab59, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xc2f3661c, "nfs_mkdir" },
	{ 0x27cc8220, "nfs_revalidate_inode" },
	{ 0xc82e7f99, "nfs_file_mmap" },
	{ 0x1cef5c32, "nfs_get_lock_context" },
	{ 0xc9197199, "d_drop" },
	{ 0x92997ed8, "_printk" },
	{ 0xc28b82e0, "nfs_set_cache_invalid" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x195534c2, "xdr_enter_page" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x86ab79b3, "unregister_sysctl_table" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x69cf6f45, "trace_event_ignore_this_pid" },
	{ 0x80abed8b, "make_kuid" },
	{ 0x9a9f74ae, "truncate_inode_pages_final" },
	{ 0x5b08602e, "generic_setlease" },
	{ 0x13ebcde2, "rpc_switch_client_transport" },
	{ 0xa916b694, "strnlen" },
	{ 0xe79ccbd, "xdr_stream_decode_string_dup" },
	{ 0xb393319d, "locks_init_lock" },
	{ 0x230443cb, "rpc_destroy_pipe_data" },
	{ 0xdb0c23b5, "nfs_get_client" },
	{ 0x2da5784a, "__free_pages" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0xf74b7f2d, "nfs_atomic_open" },
	{ 0x7a3b5c08, "rpc_pipe_generic_upcall" },
	{ 0x584659f6, "nfs_file_fsync" },
	{ 0x3c22039d, "module_put" },
	{ 0x607a6062, "__var_waitqueue" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xcd3ba667, "mntput" },
	{ 0x9a72bf26, "nfs_put_lock_context" },
	{ 0x8c65968f, "nfs_rename" },
	{ 0x504e1ba, "nfs_lookup" },
	{ 0x769f6e64, "errseq_check" },
	{ 0x62f1916e, "nfs_sysfs_link_rpc_client" },
	{ 0xad7c190d, "nfs_put_client" },
	{ 0xfbb13471, "nfs_show_options" },
	{ 0x7a2e5a63, "dns_query" },
	{ 0x26884ff7, "nfs_alloc_fhandle" },
	{ 0x2603a87f, "key_put" },
	{ 0x99dce28f, "mount_subtree" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x59f34587, "get_nfs_open_context" },
	{ 0x9295e1f2, "perf_trace_run_bpf_submit" },
	{ 0x85d43d21, "nfs_clear_verifier_delegated" },
	{ 0x614739c9, "nfs_sysfs_add_server" },
	{ 0x49608959, "migrate_disable" },
	{ 0xd187deb0, "down_write" },
	{ 0x347d0641, "rpc_machine_cred" },
	{ 0x42f2c81f, "nfs4_client_id_uniquifier" },
	{ 0x4bf34d63, "nfs_do_submount" },
	{ 0xced38124, "vfs_dup_fs_context" },
	{ 0x2c240268, "up_write" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xaf69b453, "request_key_with_auxdata" },
	{ 0xfac0423c, "rpc_clone_client_set_auth" },
	{ 0x5d49f4e3, "rpc_clone_client" },
	{ 0x30a011bb, "svc_set_num_threads" },
	{ 0x4e3567f7, "match_int" },
	{ 0x165c4194, "idr_alloc" },
	{ 0xc3e59e67, "svc_rpcb_cleanup" },
	{ 0xa07a37f0, "memchr" },
	{ 0x9af11c71, "radix_tree_preloads" },
	{ 0xc3aedd59, "user_describe" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6b28c21e, "put_fs_context" },
	{ 0xf506f99, "nfs4_dentry_operations" },
	{ 0xc1c76008, "__module_put_and_kthread_exit" },
	{ 0x57f4955e, "rpc_peeraddr2str" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x539434f0, "nfs_client_for_each_server" },
	{ 0x86258710, "nfs_clear_inode" },
	{ 0x1a3e1f1a, "rpc_sleep_on_priority" },
	{ 0xafd074fb, "nfs_invalidate_atime" },
	{ 0x63279cfa, "bpf_trace_run5" },
	{ 0x954f099c, "idr_preload" },
	{ 0x7d488336, "nfs_umount_begin" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x7fcbcb14, "nfs_getattr" },
	{ 0xa5fed0d4, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0x5a6214a7, "nfs_zap_acl_cache" },
	{ 0xc32db3fb, "from_kgid" },
	{ 0x7bc04224, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xecf05cf5, "nfs_write_inode" },
	{ 0xf69b621, "ida_free" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x239275e5, "rpc_wake_up_first" },
	{ 0x48078865, "alloc_nfs_open_context" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xc8617fe2, "vfs_parse_fs_param" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x8ec5e1d2, "nfs_path" },
	{ 0x906dba1c, "rpc_sleep_on_priority_timeout" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x431e609c, "nfs_create_rpc_client" },
	{ 0x62e1309c, "register_nfs_version" },
	{ 0x4c7e8919, "rpc_sleep_on_timeout" },
	{ 0x4dbed332, "svc_destroy" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x3d7a8244, "rpc_call_start" },
	{ 0x3b7ad120, "bpf_trace_run1" },
	{ 0xc75cdc24, "svc_create" },
	{ 0x31437089, "nfs_file_set_open_context" },
	{ 0x56dd458e, "rpc_init_priority_wait_queue" },
	{ 0x3f2690f2, "nfs_check_flags" },
	{ 0x74bdc906, "rpc_call_sync" },
	{ 0x9530c1d9, "from_kuid" },
	{ 0xd31bb466, "rpc_put_task_async" },
	{ 0x643ad604, "rpc_prepare_reply_pages" },
	{ 0xdd05549e, "rpc_queue_upcall" },
	{ 0xa492b23c, "nfs_free_server" },
	{ 0x26aaf955, "fc_mount" },
	{ 0x48425d3f, "nfs_setattr" },
	{ 0xdcb764ad, "memset" },
	{ 0x981f6ca2, "xdr_terminate_string" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x42395845, "nfs4_fs_type" },
	{ 0x21c8bf74, "key_revoke" },
	{ 0xa05ca625, "nfs_fattr_init" },
	{ 0xdec494ca, "rpc_delay" },
	{ 0xdcda9115, "nfs_flock" },
	{ 0x226f85d5, "__init_waitqueue_head" },
	{ 0xc875576d, "svc_generic_init_request" },
	{ 0x88c88474, "_atomic_dec_and_lock" },
	{ 0xea9d2f5b, "key_validate" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0x5784f643, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x3173a661, "rt_spin_unlock" },
	{ 0x7c4a70d6, "rpc_remove_pipe_dir_object" },
	{ 0xbfd1f9c6, "nfs_may_open" },
	{ 0x47f573ab, "from_kgid_munged" },
	{ 0xfc619abd, "_nfs_display_fhandle" },
	{ 0xdba950ce, "nfs_server_copy_userdata" },
	{ 0x832e8f0b, "nfs_alloc_fattr" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd55eb95e, "down_read" },
	{ 0x7687e44a, "rt_spin_lock" },
	{ 0x63b181b, "xdr_reserve_space" },
	{ 0x5b3b3904, "rpcauth_lookupcred" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9c0d7a68, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xb8713893, "nfs_rmdir" },
	{ 0x7ac7c94b, "bpf_trace_run3" },
	{ 0x90d75a84, "override_creds" },
	{ 0x4cb9e001, "recover_lost_locks" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0xef6dce5, "rpc_mkpipe_dentry" },
	{ 0x8d4b1813, "rpc_mkpipe_data" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xf8ab47cd, "rpc_add_pipe_dir_object" },
	{ 0xeaf1022b, "igrab" },
	{ 0x528c5fc3, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xaff18002, "nfs_async_iocounter_wait" },
	{ 0xb432d7ac, "nfs_file_read" },
	{ 0x52563dbd, "trace_event_buffer_reserve" },
	{ 0x8cdf2f57, "nfs_alloc_fattr_with_label" },
	{ 0x45c9f85d, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x92c0821e, "nfs_setattr_update_inode" },
	{ 0x20d81444, "nfs_instantiate" },
	{ 0x9dd1af26, "init_user_ns" },
	{ 0x603ddd9e, "rpc_uaddr2sockaddr" },
	{ 0xb686e658, "user_read" },
	{ 0x5be566ed, "request_key_tag" },
	{ 0x8ead800c, "user_free_preparse" },
	{ 0x125c0fa, "alloc_pages" },
	{ 0x7d0aff2, "svc_xprt_destroy_all" },
	{ 0x68db2410, "generic_key_instantiate" },
	{ 0x9584f424, "inc_nlink" },
	{ 0x44e9a829, "match_token" },
	{ 0x92bac208, "nfs_link" },
	{ 0xd95ad478, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc3a2be67, "nfs_net_id" },
	{ 0x10b37481, "rpcauth_stringify_acceptor" },
	{ 0x9adaa8d4, "dput" },
	{ 0xe47450bc, "lockref_get" },
	{ 0x3fd9c4d7, "rpc_init_wait_queue" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x8dbf45c0, "put_rpccred" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x294c6a2, "nfs_callback_nr_threads" },
	{ 0x9276c650, "put_nfs_open_context" },
	{ 0xd84cded4, "nfs_show_path" },
	{ 0x3fd8adbd, "nfs_show_devname" },
	{ 0xcd6f3356, "nfs_permission" },
	{ 0x38a3a256, "__put_user_ns" },
	{ 0xdd47b9b6, "cred_fscmp" },
	{ 0xb0b2d321, "rpc_unlink" },
	{ 0x1838ea32, "proc_dointvec" },
	{ 0xcf50905f, "nfs_file_write" },
	{ 0x416becb7, "nfs_probe_server" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x1f8f450e, "nfs_setsecurity" },
	{ 0x543bb560, "rpc_clnt_test_and_add_xprt" },
	{ 0xb2756ccc, "nfs_force_lookup_revalidate" },
	{ 0x1aaa2700, "nfs_file_llseek" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x39db9533, "rpc_clnt_add_xprt" },
	{ 0xdc23bace, "dget_parent" },
	{ 0xa07284a0, "from_kuid_munged" },
	{ 0x620fd52f, "prepare_kernel_cred" },
	{ 0x995c9240, "kmalloc_trace" },
	{ 0x7893fc75, "nfs_alloc_server" },
	{ 0x6d631e25, "rpc_call_async" },
	{ 0x6eafe8b4, "filemap_write_and_wait_range" },
	{ 0xce972a16, "nfs_server_insert_lists" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x98cf60b3, "strlen" },
	{ 0xfc5fc072, "nfs_free_client" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xb670333b, "rpc_init_pipe_dir_object" },
	{ 0x25632b59, "nfs_refresh_inode" },
	{ 0x9aa71919, "refcount_dec_and_lock" },
	{ 0x349cba85, "strchr" },
	{ 0xc6c8b8f1, "nfs_access_set_mask" },
	{ 0xe6eed59f, "nfs_init_server_rpcclient" },
	{ 0x85ea5b77, "rpc_set_connect_timeout" },
	{ 0x844819f9, "rpcauth_create" },
	{ 0xcb27a790, "xdr_stream_pos" },
	{ 0x37e7b2aa, "key_set_timeout" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xefa414fb, "nfs_delay_retrans" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x10962bc2, "nfs_auth_info_match" },
	{ 0x147b1b44, "up_read" },
	{ 0x39e05ac3, "nfs_idmap_cache_timeout" },
	{ 0x79ff2cda, "__mutex_rt_init" },
	{ 0x9236a2c2, "svc_xprt_create" },
	{ 0x3671356f, "rpc_wait_for_completion_task" },
	{ 0xfaa4f9f, "drop_nlink" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xebbc43, "nfs_alloc_inode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x26b3d1b3, "rpc_destroy_wait_queue" },
	{ 0x59abd70f, "kmalloc_caches" },
	{ 0xc62c4611, "nfs_fhget" },
	{ 0xb9b67087, "nfs_symlink" },
	{ 0x66d2e615, "locks_copy_lock" },
	{ 0x51892d61, "nfs_callback_set_tcpport" },
	{ 0xfad37068, "nfs_unlink" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x38e88010, "nfs_set_verifier" },
	{ 0xe073a5cb, "proc_dointvec_minmax" },
	{ 0x62ac1cf0, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,nfs,dns_resolver");


MODULE_INFO(srcversion, "0544DE00C75B255F22E0DF5");
MODULE_INFO(rhelversion, "9.7");
