#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(qrtr_endpoint_post, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_register, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_unregister, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_init, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_remove, "_gpl", "");

SYMBOL_CRC(qrtr_endpoint_post, 0x24835f77, "_gpl");
SYMBOL_CRC(qrtr_endpoint_register, 0x16da2ed2, "_gpl");
SYMBOL_CRC(qrtr_endpoint_unregister, 0xfe17fdb9, "_gpl");
SYMBOL_CRC(qrtr_ns_init, 0xa47e91ba, "_gpl");
SYMBOL_CRC(qrtr_ns_remove, 0x8d25501f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xac4d38f2, "skb_free_datagram" },
	{ 0xe914e41e, "strcpy" },
	{ 0x12ab453, "sock_queue_rcv_skb_reason" },
	{ 0x48680188, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xf5487424, "bpf_trace_run4" },
	{ 0x4a9921d8, "skb_copy_bits" },
	{ 0x59ad1bb4, "radix_tree_insert" },
	{ 0xb1e15af8, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb5907893, "consume_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7f81136b, "trace_raw_output_prep" },
	{ 0x33fc2a31, "get_user_ifreq" },
	{ 0x6d221cb2, "radix_tree_lookup" },
	{ 0x79453d1e, "rt_mutex_base_init" },
	{ 0x85b1e275, "trace_event_printf" },
	{ 0x6488d9c, "kernel_bind" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x5388a90b, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xff1ffd2c, "__tracepoint_sk_data_ready" },
	{ 0x248d5199, "event_triggers_call" },
	{ 0xe3da0c90, "__wake_up" },
	{ 0x7a716b1b, "__module_get" },
	{ 0xad0d493d, "kernel_recvmsg" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xb8aa02dc, "__pskb_copy_fclone" },
	{ 0x126abad2, "sk_error_report" },
	{ 0x73f056ca, "skb_queue_purge_reason" },
	{ 0x57c7a377, "radix_tree_iter_delete" },
	{ 0xfeb9d759, "trace_event_buffer_commit" },
	{ 0x92997ed8, "_printk" },
	{ 0x5702298b, "proto_unregister" },
	{ 0x8ad2d480, "sock_register" },
	{ 0x227f6165, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x69cf6f45, "trace_event_ignore_this_pid" },
	{ 0x88ad8d70, "__alloc_skb" },
	{ 0x53641fe6, "rt_write_unlock" },
	{ 0x9055e24a, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x3c22039d, "module_put" },
	{ 0x31fa64c8, "__xa_alloc" },
	{ 0xad3aee57, "sock_no_shutdown" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x9295e1f2, "perf_trace_run_bpf_submit" },
	{ 0x209c9d39, "__traceiter_sk_data_ready" },
	{ 0x87f88c7d, "init_net" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x9601a763, "radix_tree_next_chunk" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3b1ffa7d, "sk_skb_reason_drop" },
	{ 0x66a65767, "xa_load" },
	{ 0xc73125f2, "kernel_getsockname" },
	{ 0x228a5e87, "do_wait_intr_irq" },
	{ 0xe8988448, "sk_free" },
	{ 0x92d3d064, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xa5fed0d4, "mutex_lock" },
	{ 0x33f97b63, "skb_push" },
	{ 0x8e05492, "sock_no_listen" },
	{ 0x7bc04224, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xdac0b421, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x18bbb20f, "skb_copy_datagram_iter" },
	{ 0x4ed9f4d1, "sk_alloc" },
	{ 0xcde9a07d, "sock_no_socketpair" },
	{ 0xdcb764ad, "memset" },
	{ 0x4e1317a3, "sock_no_mmap" },
	{ 0x226f85d5, "__init_waitqueue_head" },
	{ 0x76cb3559, "sock_no_sendpage" },
	{ 0x6e2083c2, "__netdev_alloc_skb" },
	{ 0x3173a661, "rt_spin_unlock" },
	{ 0x7687e44a, "rt_spin_lock" },
	{ 0xbb8d082d, "__xa_insert" },
	{ 0x1610e4ca, "xa_erase" },
	{ 0x7ac7c94b, "bpf_trace_run3" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x309cf1ac, "skb_set_owner_w" },
	{ 0x52563dbd, "trace_event_buffer_reserve" },
	{ 0x45c9f85d, "mutex_unlock" },
	{ 0xe51cc110, "sock_create_kern" },
	{ 0xf623d2da, "xa_find" },
	{ 0xf48d59e3, "skb_recv_datagram" },
	{ 0x8c7b1f64, "sock_alloc_send_pskb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x349d4c64, "xa_store" },
	{ 0x16aca28a, "rt_write_lock" },
	{ 0xefa6b265, "_copy_from_iter" },
	{ 0x1737b8cd, "sock_release" },
	{ 0xf914109c, "sock_gettstamp" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x1d811962, "xa_find_after" },
	{ 0x995c9240, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0x6de59ab3, "iov_iter_revert" },
	{ 0x6647c15e, "kernel_sendmsg" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x79ff2cda, "__mutex_rt_init" },
	{ 0xa2900d0f, "sock_init_data" },
	{ 0x38f48af7, "put_user_ifreq" },
	{ 0x59abd70f, "kmalloc_caches" },
	{ 0x46838199, "release_sock" },
	{ 0x62ac1cf0, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9CAAD44A10994D30D5FD142");
MODULE_INFO(rhelversion, "9.7");
